window.dzswtl_shortcode_receiver_input = null;
window.dzs_suspend_dependency_check = false;
// -- suspend dependency check until we are ready

const dzsHelpers = require('./js_common/_dzs_helpers');


const dzs_dependency_on_document_ready = require("./jsinc/_dependency-functionality");
const dzs_reskin_select = require("./jsinc/_reskin_select");
const dzswtl_admin_helpers = require("./jsinc/_admin_helpers");

// console.log('what what 2 3 4 5 6');
// -- documetn ready
function dzswtl_admin_global_local($) {
  //return;
  // Create the media frame.


  dzs_dependency_on_document_ready.dzs_dependency_on_document_ready();
  dzs_reskin_select.dzs_reskin_select();


  $(document).on('click', '.quick-edit-adarray,.btn-generate-attribute-sort,.btn-generate-dzswtl-filter,.dzswtl-import-layout', handle_mouse);

  $(document).on('submit', '.delete-all-settings', handle_input);


  var _feedbacker = $('.feedbacker').eq(0);

  _feedbacker.fadeOut('fast');


  dzswtl_admin_helpers.dzs_add_gutenberg_buttons();


  if ($.fn.dzstabsandaccordions) {

    $('#tabs-mainsettings').dzstabsandaccordions({
      'design_tabsposition': 'top'
      , design_transition: 'fade'
      , design_tabswidth: 'fullwidth'
      , toggle_breakpoint: '300'
      // ,toggle_type: 'toggle'
      , settings_appendWholeContent: true
    });
  }
  // init_dzstabsandaccordions();


  $('.wrap').eq(0).after($('.dzswtl-import-layout-con'));

  setTimeout(function () {



    if ($.fn.spectrum) {

      $(".color-with-spectrum").spectrum({
        showAlpha: true
        , allowEmpty: true
        // ,preferredFormat: "rgba"
      });
    }
  }, 50);


  function handle_mouse(e) {
    var $t = $(this);


    if (e.type == 'click') {


      if ($t.hasClass('btn-generate-dzswtl-filter')) {


        var _inp = $t.prev();

        // console.info('ceva');


        window.dzswtl_shortcode_receiver_input = _inp;
        var sel = _inp.val();


        var parsel = '&sel=' + encodeURIComponent(sel);
        window.open_ultibox(null, {

          type: 'iframe'
          , source: dzswtl_settings.filter_generator_url + parsel
          , scaling: 'fill' // -- this is the under description
          , suggested_width: 800 // -- this is the under description
          , suggested_height: 600 // -- this is the under description
          , item: null // -- we can pass the items from here too

        })

        return false;
      }
      if ($t.hasClass('dzswtl-import-layout')) {

        $.ajax({
          async: "false",
          method: "POST",
          url: ajaxurl,
          data: {
            action: 'dzswtl_import_layout'
            , postdata: $t.attr('data-layout-name')
          },
          dataType: 'html',
          success: function (response) {
            // console.info(response);


            try {

              var cont_arr = JSON.parse(response);
              dzswtl_admin_helpers.dzs_show_notice(cont_arr);


              if (cont_arr.status === 'success') {

                if ($t.hasClass('add-import-query-arg')) {

                  setTimeout(function () {
                    window.location.href = dzsHelpers.add_query_arg(window.location.href, 'layout-imported', $t.find('.import-layout--label').text());
                  }, 100);
                } else {

                  setTimeout(function () {
                    window.location.reload();
                  }, 100);
                }

              }

            } catch (err) {
              console.warn(err);
            }
          }

          , error: function (err) {
            console.error('error loading', err);

          }
        })


      }
      if ($t.hasClass('btn-generate-attribute-sort')) {

        $.ajax({
          async: "false"
          , method: "POST"
          // ,contentType: "application/x-www-form-urlencoded; charset=UTF-8"
          // ,type: "POST"
          , url: ajaxurl
          , data: {
            action: 'dzswtl_generate_attribute_sort'
            , postdata: $t.attr('data-pa-slug')
          }
          , dataType: 'html'
          , success: function (response) {
            // console.info(response);


            try {

              var cont_arr = JSON.parse(response);
              dzswtl_admin_helpers.dzs_show_notice(cont_arr);

            } catch (err) {
              console.warn(err);
            }
          }

          , error: function (err) {
            console.error('error loading', err);

          }
        })


        return false;
      }
    }
  }

  function handle_input(e) {
    var _t = $(this);


    if (e.type == 'submit') {
      if (_t.hasClass('delete-all-settings')) {


        var r = confirm("Are you sure you want to delete all video gallery data ? ");

        if (r) {

        } else {
          return false;
        }
      }
    }
  }


  $(document).off('click', '.dzswtl-wordpress-uploader');
  $(document).on('click', '.dzswtl-wordpress-uploader', function (e) {
    var _t = $(this);
    var _targetInput = _t.prev();

    // console.info(_t);

    var searched_type = '';

    if (_targetInput.hasClass('upload-type-audio')) {
      searched_type = 'audio';
    }
    if (_targetInput.hasClass('upload-type-video')) {
      searched_type = 'video';
    }
    if (_targetInput.hasClass('upload-type-image')) {
      searched_type = 'image';
    }


    var frame = wp.media.frames.dzsp_addimage = wp.media({
      title: "Insert Media",
      library: {
        type: searched_type
      },

      // Customize the submit button.
      button: {
        // Set the text of the button.
        text: "Insert Media",
        close: true
      }
    });

    // When an image is selected, run a callback.
    frame.on('select', function () {
      // Grab the selected attachment.
      var attachment = frame.state().get('selection').first();

      //console.log(attachment.attributes.url);
      var arg = attachment.attributes.url;
      _targetInput.val(arg);
      _targetInput.trigger('change');
//            frame.close();
    });

    // Finally, open the modal.
    frame.open();

    e.stopPropagation();
    e.preventDefault();
    return false;
  });


  $(document).off('click', '.dzs-btn-add-media-att');
  $(document).on('click', '.dzs-btn-add-media-att', function () {
    var _t = $(this);

    var args = {
      title: 'Add Item',
      button: {
        text: 'Select'
      },
      multiple: false
    };

    if (_t.attr('data-library_type')) {
      args.library = {
        'type': _t.attr('data-library_type')
      }
    }

    console.info('t here -> ', _t);

    var item_gallery_frame = wp.media.frames.downloadable_file = wp.media(args);

    item_gallery_frame.on('select', function () {

      var selection = item_gallery_frame.state().get('selection');
      selection = selection.toJSON();

      var ik = 0;
      for (ik = 0; ik < selection.length; ik++) {

        var _c = selection[ik];
        //console.info(_c);
        if (_c.id == undefined) {
          continue;
        }

        if (_t.hasClass('button-setting-input-url')) {

          _t.parent().parent().find('input').eq(0).val(_c.url);
        } else {

          _t.parent().parent().find('input').eq(0).val(_c.id);
        }


        _t.parent().parent().find('input').eq(0).trigger('change');

      }
    });


    // Finally, open the modal.
    item_gallery_frame.open();

    return false;
  });


  var aux = window.location.href;


  if (aux.indexOf('plugins.php') > -1) {



  }


  $('.refresh-main-thumb').bind('click', function () {
    var _t = $(this);
    var _con = _t.parent().parent();


    if (_con.hasClass('select-hidden-con')) {

      if (_con.hasClass('mode_youtube')) {
        if (_con.find('.main-thumb').eq(0).val() == '') {
          _con.find('.main-thumb').eq(0).val('http://img.youtube.com/vi/' + _con.find('.main-source').eq(0).val() + '/0.jpg');
          _con.find('.main-thumb').eq(0).trigger('change');
        }
      }
      if (_con.hasClass('mode_vimeo')) {
        if (_con.find('.main-thumb').eq(0).val() == '') {


          var data = {
            action: 'get_vimeothumb',
            postdata: _con.find('.main-source').eq(0).val()
          };

          jQuery.post(ajaxurl, data, function (response) {
            //console.log(response);
            if (window.console != undefined) {
              //console.log(response);
            }
            if (response.substr(0, 6) == 'error:') {
              //console.log('ceva');
              jQuery('.import-error').html(response.substr(7));
              jQuery('.import-error').fadeIn('fast').delay(5000).fadeOut('slow');
              return false;
            }
            _con.find('.main-thumb').eq(0).val(response);
            _con.find('.main-thumb').eq(0).trigger('change');
          });
        }
      }
      ;
    } else {
      console.info(_con, 'does not have class select-hidden-con')
    }

    return false;
  })


  function con_generate_buttons() {
    $('#generate-upload-page').bind('click', function () {
      var _t = $(this);

      _t.css('opacity', 0.5);


      var data = {
        action: 'dzsvp_insert_upload_page'
        , postdata: '1'
      };
      $.post(ajaxurl, data, function (response) {
        if (window.console != undefined) {
          console.log('Got this from the server: ' + response);
        }

        $('select[name=dzsvp_page_upload]').prepend('<optgroup label="Generated Pages"><option value="' + response + '">Upload</option></optgroup>')

        $('select[name=dzsvp_page_upload]').find('option').eq(0).prop('selected', true);
        $('select[name=dzsvp_page_upload]').trigger('change');

        _t.parent().parent().remove();

      });

      return false;
    })
  }

  con_generate_buttons();


}


jQuery(document).ready(function ($) {
});


if (window.jQuery) {

  jQuery(document).ready(function ($) {
    dzswtl_admin_global_local($)
  });
} else {
  document.addEventListener("DOMContentLoaded", function (event) {
    dzswtl_admin_global_local(window.jQuery);
  });
}
