<?php


global $dzsap, $dzswtl;
$vpconfigs_arr = array(
  array('lab' => __("Default"), 'val' => '')
);

$i23 = 0;

if ($dzsap && isset($dzsap->mainitems_configs)) {

  foreach ($dzsap->mainitems_configs as $vpconfig) {


    if(isset($vpconfig['settings']) && isset($vpconfig['settings']['id'])){

      $auxa = array(
        'label' => $vpconfig['settings']['id'],
        'value' => $vpconfig['settings']['id'],
        'extraattr' => 'data-sliderlink="' . $i23 . '"',
      );

      array_push($vpconfigs_arr, $auxa);

      $i23++;
    }
  }
}
$dependency_for_zoomsounds = '';

if (defined('DZSAP_VERSION')) {

  $dependency_for_zoomsounds = array(
    array(
      'element' => 'feed_from',
      'value' => array(
        'zoomsounds-player',

      ),
    ),
  );
}


$arr_feed_from_opts = array(
  array('label' => __('Title'), 'value' => 'title',),
  array('label' => __('Short Description'), 'value' => 'short-description',),
  array('label' => __('Full Description'), 'value' => 'full-description',),
  array('label' => __('Button'), 'value' => 'button',),
  array('label' => __('Rating Stars'), 'value' => 'ratings',),
  array('label' => __('ID'), 'value' => 'id',),
  array('label' => __('Author Name'), 'value' => 'author-name',),
  array('label' => __('Price'), 'value' => 'price',),
  array('label' => __('Sale Percent'), 'value' => 'sale-percent',),
  array('label' => __('Number'), 'value' => 'number',),
  array('label' => __('Categories'), 'value' => 'categories',),
  array('label' => __('Custom Attribute'), 'value' => 'custom-attribute',),
  array('label' => __('Custom Meta'), 'value' => 'custom-meta',),
  array('label' => __('Product Image'), 'value' => 'product-image',),
  array('label' => __('Stock'), 'value' => 'stock',),

);


if (defined('DZSAP_VERSION')) {
  array_push($arr_feed_from_opts, array(
    'label' => __("ZoomSounds Player"),
    'value' => 'zoomsounds-player',
  ));
}


if ($dzswtl->is_plugin_active('advanced-custom-fields/acf.php')) {
  array_push($arr_feed_from_opts, array(
    'label' => esc_html__("Advanced Custom Field"),
    'value' => 'acf',
  ));
}

// -- start the options


return array(


  'guid' => array(
    'type' => 'hidden',
    'category' => 'layout-builder--feed',
    'inputExtraClasses' => ' dzs-dependency-field',
    'default' => '',
    'select_type' => '',
    'extra_classes' => '',
  ),
  'feed_from' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'inputExtraClasses' => ' dzs-dependency-field',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Feed From', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => __("select the main source",DZSWTL_ID),
    'choices' => $arr_feed_from_opts,


  ),
  'table_header_title' => array(
    'type' => 'input',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Title', DZSWTL_ID),
    'extra_classes' => '',
    'choices' => $arr_feed_from_opts,
  ),

  'desc_count' => array(
    'type' => 'input',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Text character count', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('short-description', 'title'),
      ),
    ),
    'sidenote' => __("character count for title / short description"),


  ),
  'short_desc_cut_as_well' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Cut short description as well', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('short-description', 'title'),
      ),
    ),
    'choices' => array(
      array('label' => __('Disable'), 'value' => 'off',),
      array('label' => __('Enable'), 'value' => 'on',),

    ),


  ),
  'show_sort_button' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Sort Button', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('title', 'ratings', 'price', 'custom-attribute'),
      ),
    ),
    'choices' => array(
      array('label' => __('Disable'), 'value' => 'off',),
      array('label' => __('Enable'), 'value' => 'on',),

    ),
    'sidenote' => __("show sort button ( only for list layout )"),


  ),
  'feed_from_price_style' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Price Style', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('price'),
      ),
    ),
    'choices' => array(
      array('label' => __('Unstyled'), 'value' => '',),
      array('label' => __('Default'), 'value' => 'default',),
      array('label' => esc_html__('Cosmo', DZSWTL_ID), 'value' => 'cosmo',),
      array('label' => __('Show only true'), 'value' => 'show-only-true',),

    ),
    'sidenote' => __("style of price item"),
  ),
  'feed_from_ratings_style' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Rating Style', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('ratings'),
      ),
    ),
    'choices' => array(
      array('label' => __('Default'), 'value' => 'default',),
      array('label' => __('WooTable Stars'), 'value' => 'wootable-stars',),
    ),
    'sidenote' => __("style of ratings"),
  ),
  'custom_meta_name' => array(
    'type' => 'input',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Meta Name', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('custom-meta'),
      ),
    ),

    'sidenote' => __("get the meta name from custom fields or a special field on your post"),
  ),
  'link_to' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Link to...', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('title', 'product-image'),
      ),
    ),
    'choices' => array(
      array(
        'label' => esc_html__('Default', DZSWTL_ID),
        'value' => '',
      ),
      array(
        'label' => esc_html__('Item', DZSWTL_ID),
        'value' => 'item',
      ),
      array(
        'label' => esc_html__('Nothing', DZSWTL_ID),
        'value' => 'none',
      ),
    ),
    'sidenote' => __("choose a target to link to"),
  ),
  'custom_attr_name' => array(
    'type' => 'input',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Attribute Name', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('custom-attribute'),
      ),
    ),
    'sidenote' => __("attribute name"),
  ),
  'custom_attr_default_value' => array(
    'title' => esc_html__('Attribute default value', DZSWTL_ID),
    'type' => 'input',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('custom-attribute'),
      ),
    ),
    'sidenote' => __("attribute default value when nothing is found"),
  ),
  'attr_style' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Attribute Style', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('custom-attribute'),
      ),
    ),
    'choices' => array(
      array(
        'label' => esc_html__('Default', DZSWTL_ID),
        'value' => '',
      ),
      array(
        'label' => esc_html__('Cosco', DZSWTL_ID),
        'value' => 'cosco',
      ),
      array(
        'label' => esc_html__('Minimali', DZSWTL_ID),
        'value' => 'minimali',
      ),
    ),
    'sidenote' => __("attribute style"),
  ),
  'attr_link_to' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Link to...', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('custom-attribute', 'categories'),
      ),
    ),
    'choices' => array(
      array(
        'label' => esc_html__('Nothing', DZSWTL_ID),
        'value' => '',
      ),
      array(
        'label' => esc_html__('Link to filter', DZSWTL_ID),
        'value' => 'filter',
      ),
    ),
    'sidenote' => __("link the attribute to.."),
  ),
  'custom_acf_name' => array(
    'type' => 'input',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Field Name', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array('acf'),
      ),
    ),
    'sidenote' => __("[Advanced Custom Fields] field name"),
  ),
  'thumbnail_height' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Thumbnail Height', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array(
          'product-image',
        ),
      ),
    ),
    'choices' => array(
      array(
        'label' => __('Full Height'),
        'value' => '1',
      ),
      array(
        'label' => __('Height 0.5x Width'),
        'value' => '0.5',
      ),
      array(
        'label' => __('Height 0.75x Width'),
        'value' => '0.75',
      ),
      array(
        'label' => __('Height 1.2x Width'),
        'value' => '1.2',
      ),
      array(
        'label' => __('Height 1.5x Width'),
        'value' => '1.5',
      ),

    ),
    'sidenote' => __("the height proportional to the width"),
  ),
  'thumbnail_size' => array(
    'type' => 'input',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Thumbnail Size', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => array(
      array(
        'element' => 'feed_from',
        'value' => array(
          'product-image',
        ),
      ),
    ),
    'sidenote' => sprintf(esc_html__('Input %s for example for %s pixels width and %s pixels height or leave blank for default', DZSWTL_ID), '<strong>150,100</strong>', '150', '100'),
  ),


  'zoomsounds_mode' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'inputExtraClasses' => ' dzs-dependency-field',
    'select_type' => ' ',
    'title' => esc_html__('Player type', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => ($dependency_for_zoomsounds),
    'sidenote' => __("select the type of media"),
    'choices' => array(
      array(
        'label' => __('Full Player'),
        'value' => 'full-player',
      ),
      array(
        'label' => __('Just play button'),
        'value' => 'just-play-button',
      ),
      array(
        'label' => __('Just Waveform'),
        'value' => 'just-waveform',
      ),

    ),


  ),

  'zoomsounds_vpconfig' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Player configuration', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => (array(
      array(
        'element' => 'feed_from',
        'value' => array(
          'zoomsounds-player',
        ),
      ),
      array(
        'element' => 'zoomsounds_mode',
        'value' => array(
          array('full-player', 'just-play-button'),

        ),
      ),
    )),
    'sidenote' => __("select the type of media"),
    'choices' => $vpconfigs_arr,


  ),

  'zoomsounds_play_in_footer' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Play in footer if available', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => (array(
      array(
        'element' => 'feed_from',
        'value' => array(
          'zoomsounds-player',
        ),
      ),
      array(
        'element' => 'zoomsounds_mode',
        'value' => array(
          array('full-player', 'just-play-button'),

        ),
      ),
    )),
    'sidenote' => __("play the zoomsounds in the footer player"),
    'choices' => array(
      array(
        'label' => esc_html__('Default', DZSWTL_ID),
        'value' => '',
      ),
      array(
        'label' => esc_html__('Play normal', DZSWTL_ID),
        'value' => 'off',
      ),
      array(
        'label' => esc_html__('Play in footer if available', DZSWTL_ID),
        'value' => 'on',
      ),

    ),


  ),
  'button_type' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => 'add-to-cart',
    'inputExtraClasses' => ' dzs-dependency-field',
    'select_type' => ' ',
    'title' => esc_html__('Type', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => (array(
      array(
        'element' => 'feed_from',
        'value' => array(
          'button',
        ),
      ),
    )),
    'sidenote' => __("button type"),
    'choices' => array(
      array(
        'label' => __('Add to cart'),
        'value' => 'add-to-cart',
      ),

      array(
        'label' => esc_html__('Wishlist', DZSWTL_ID),
        'value' => 'wishlist',
      ),

      array(
        'label' => esc_html__('More button - like, share, report', DZSWTL_ID),
        'value' => 'more-btn',
      ),

      array(
        'label' => __('Custom'),
        'value' => 'custom',
      ),

    ),
  ),
  'button_style' => array(
    'title' => esc_html__('Button style', DZSWTL_ID),
    'type' => 'select',
    'inputExtraClasses' => ' dzs-dependency-field',
    'category' => 'layout-builder--feed',
    'default' => 'default',
    'select_type' => ' ',
    'extra_classes' => '',
    'dependency' => (array(
      array(
        'element' => 'feed_from',
        'value' => array(
          'button',
        ),
      ),
// todo: test this
//      array(
//        'element' => 'button_type',
//        'value' => array(
//          array('add-to-cart', 'wishlist'),
//
//        ),
//        'relation' => 'OR'
//      ),
//      'relation' => 'AND'
    )),
    'sidenote' => __("button skin"),
    'choices' => array(
      array(
        'label' => esc_html__('Default Button', DZSWTL_ID),
        'value' => 'default',
      ),

      array(
        'label' => __('Just Icon'),
        'value' => 'just-icon',
      ),
      array(
        'label' => __('Cosco Button'),
        'value' => 'cosco',
      ),
      array(
        'label' => __('DZS Button'),
        'value' => 'dzs-button',
      ),
      array(
        'label' => esc_html__('Gamma', DZSWTL_ID),
        'value' => 'gamma',
      ),

    ),


  ),
  'button_functionality' => array(
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => 'default',
    'select_type' => ' ',
    'title' => esc_html__('Button functionality', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => (array(
      array(
        'element' => 'feed_from',
        'value' => array(
          'button',
        ),
      ),
    )),
    'sidenote' => __("select the type of media"),
    'choices' => array(
      array(
        'label' => esc_html__('Default', DZSWTL_ID),
        'value' => 'default',
      ),

      array(
        'label' => esc_html__('Add to cart link', DZSWTL_ID),
        'value' => 'link',
      ),

      array(
        'label' => esc_html__('Nothing', DZSWTL_ID),
        'value' => 'none',
      ),
      array(
        'label' => esc_html__('Product link', DZSWTL_ID),
        'value' => 'direct_link',
      ),
      array(
        'label' => esc_html__('Purchase lightbox', DZSWTL_ID),
        'value' => 'purchase_lightbox',
      ),

    ),
  ),

  'button_custom_text' => array(
    'type' => 'textarea',
    'category' => 'layout-builder--feed',
    'default' => esc_html__('input custom html', DZSWTL_ID),
    'select_type' => ' ',
    'title' => esc_html__('Button custom - extra html', DZSWTL_ID),
    'extra_classes' => '',
    'dependency' => (array(
      array(
        'element' => 'button_type',
        'value' => array(
          'custom',
        ),
      ),
    )),
    'sidenote' => esc_html__("custom html - you can use for example", DZSWTL_ID) .' <strong>{{get_from_meta-dzswtl_grid_custom_bg-#44cc99}}</strong> '.esc_html__("which can be broken as", DZSWTL_ID).' <em>dzswtl_grid_custom_bg</em> - '.esc_html__("the meta property name", DZSWTL_ID).' ||| '.' <em>#44cc99</em> - '.esc_html__("the default value", DZSWTL_ID),
  ),


  // -- dzs button

  'button_style_dzs_button_fullwidth' => array(
    'title' => esc_html__('Fullwidth button', DZSWTL_ID),
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'inputExtraClasses' => ' dzs-dependency-field',
    'select_type' => ' ',
    'extra_classes' => '',
    'dependency' => (array(
      array(
        'element' => 'button_style',
        'value' => array(
          'dzs-button',
        ),
      ),
    )),
    'sidenote' => __("select if fullwidth"),
    'choices' => array(
      array(
        'label' => __('Off'),
        'value' => '',
      ),
      array(
        'label' => __('Fullwidth'),
        'value' => 'on',
      ),
    ),
  ),

  'button_style_dzs_button_rounded_corners' => array(
    'title' => esc_html__('Rounded corners', DZSWTL_ID),
    'type' => 'select',
    'category' => 'layout-builder--feed',
    'default' => '',
    'inputExtraClasses' => ' dzs-dependency-field',
    'select_type' => ' ',
    'extra_classes' => '',
    'dependency' => (array(
      array(
        'element' => 'button_style',
        'value' => array(
          'dzs-button',
        ),
      ),
    )),
    'sidenote' => __("select if rounded corners"),
    'choices' => array(
      array(
        'label' => __('Off'),
        'value' => '',
      ),
      array(
        'label' => __('Rounded'),
        'value' => 'on',
      ),
    ),
  ),

  // -- dzs button END


  // -- position
  // ------------

  'flex_stretch' => array(
    'type' => 'select',
    'category' => 'layout-builder--position',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Area size', DZSWTL_ID),
    'extra_classes' => '',
    'choices' => (array(
      array('label' => __('Default'), 'value' => '',),
      array('label' => __('No change'), 'value' => 'none',),
      array('label' => __('Cover Minimum Space'), 'value' => '0 0 auto',),
      array('label' => __('Cover Maximum Space'), 'value' => '1000',),
    )),
    'sidenote' => esc_html__("select the type of media", DZSWTL_ID),
  ),

);