<?php
// todo: enter
return array(


  'layout' => array(
    'type' => 'select',
    'title' => esc_html__("Layout", DZSWTL_ID),
    'sidenote' => esc_html__("select your layout", DZSWTL_ID),
    'default' => '',

    'options' => array(

    ),
  ),


  'cat' => array(
    'type' => 'select',
    'title' => esc_html__("Category", DZSWTL_ID),
    'sidenote' => esc_html__("select a category", DZSWTL_ID),
    'default' => '',

    'options' => array( // -- feed from cats

    ),
  ),


  'pagination_method' => array(
    'type' => 'select',
    'title' => esc_html__("Pagination method",DZSWTL_ID),
    'sidenote' => '',

    'context' => 'content',
    'default' => 'pages',
    'category' => '',
    'choices' => array(
      array(
        'label' => esc_html__("Pages", DZSWTL_ID),
        'value' => 'pages',
      ),
      array(
        'label' => esc_html__("Infinite Scroll", DZSWTL_ID),
        'value' => 'scroll',
      ),
      array(
        'label' => esc_html__("No pagination", DZSWTL_ID),
        'value' => 'none',
      ),
    ),
    //        'it_is_for' => 'shortcode_generator',
  ),
  'pagination_skin' => array(
    'type' => 'select',
    'title' => esc_html__("Pagination skin",DZSWTL_ID),
    'sidenote' => '',

    'context' => 'content',
    'default' => 'pages',
    'category' => '',
    'choices' => array(
      array(
        'label' => esc_html__("Default", DZSWTL_ID),
        'value' => '',
      ),
      array(
        'label' => esc_html__("Gamma", DZSWTL_ID),
        'value' => 'skin-gamma',
      ),
      array(
        'label' => esc_html__("Orsai", DZSWTL_ID),
        'value' => 'skin-orsai',
      ),
    ),
    //        'it_is_for' => 'shortcode_generator',
  ),
  'pagination_custom_goto_page' => array(
    'type' => 'select',
    'title' => esc_html__("Go to page field",DZSWTL_ID),
    'sidenote' => esc_html__("add an optional go to page field",DZSWTL_ID),

    'context' => 'content',
    'default' => 'pages',
    'category' => '',
    'choices' => array(
      array(
        'label' => esc_html__("Disabled", DZSWTL_ID),
        'value' => 'off',
      ),
      array(
        'label' => esc_html__("Enabled", DZSWTL_ID),
        'value' => 'on',
      ),
    ),
    //        'it_is_for' => 'shortcode_generator',
  ),


  'posts_per_page' => array(
    'type' => 'text',
    'title' => esc_html__("Posts per page",DZSWTL_ID),
    'sidenote' => '',

    'context' => 'content',
    'default' => '5',
    'category' => '',
    //        'it_is_for' => 'shortcode_generator',
  ),



  'show_filtered_by' => array(
    'type' => 'select',
    'title' => esc_html__("Show filtered by", DZSWTL_ID),
    'sidenote' => esc_html__("show the filtered by button", DZSWTL_ID),
    'default' => 'on',
    'options' => array(
      array(
        'value'=>'on',
        'label'=>__("Default"),
      ),
      array(
        'value'=>'off',
        'label'=>__("Disable"),
      ),
    ),
  ),
  'exclude_ids' => array(
    'type' => 'text',
    'title' => esc_html__("Exclude ids", DZSWTL_ID),
    'sidenote' => esc_html__("input ids delimited by , ie. 3,4", DZSWTL_ID),
    'default' => '',
  ),
  'default_orderby' => array(
    'type' => 'select',
    'title' => esc_html__("Order by", DZSWTL_ID),
    'sidenote' => esc_html__("This is the default order by argument. It will get overwritten if user selects other order.", DZSWTL_ID),
    'default' => '',
    'options' => array(
      array(
        'value'=>'',
        'label'=>esc_html__("Default",DZSWTL_ID),
      ),
      array(
        'value'=>'date',
        'label'=>esc_html__("Date",DZSWTL_ID),
      ),
      array(
        'value'=>'price',
        'label'=>esc_html__("Price",DZSWTL_ID),
      ),
      array(
        'value'=>'ratings_score',
        'label'=>esc_html__("Ratings",DZSWTL_ID),
      ),
      array(
        'value'=>'zoomsounds_likes',
        'label'=>esc_html__("Zoomsounds Likes",DZSWTL_ID),
      ),
      array(
        'value'=>'zoomsounds_plays',
        'label'=>esc_html__("Zoomsounds Plays",DZSWTL_ID),
      ),
    ),
  ),
  'default_order' => array(
    'type' => 'select',
    'title' => esc_html__("Order", DZSWTL_ID),
    'sidenote' => esc_html__("This is the default order by argument. It will get overwritten if user selects other order.", DZSWTL_ID),
    'default' => '',
    'options' => array(
      array(
        'value'=>'',
        'label'=>esc_html__("Default",DZSWTL_ID),
      ),
      array(
        'value'=>'DESC',
        'label'=>esc_html__("Descending",DZSWTL_ID),
      ),
      array(
        'value'=>'ASC',
        'label'=>esc_html__("Ascending",DZSWTL_ID),
      ),
    ),
  ),
  'post_status' => array(
    'type' => 'select',
    'title' => esc_html__("Post status", DZSWTL_ID),
    'sidenote' => esc_html__("allows you to display private posts", DZSWTL_ID),
    'default' => 'publish',
    'options' => array(
      array(
        'value'=>'publish',
        'label'=>esc_html__("Published posts",DZSWTL_ID),
      ),
      array(
        'value'=>'private',
        'label'=>esc_html__("Private",DZSWTL_ID),
      ),
      array(
        'value'=>'any',
        'label'=>esc_html__("Any status",DZSWTL_ID),
      ),
    ),
  ),


);