<?php

function dzswtl_generate_layer_item($pargs = array()) {



  global $dzswtl;

  $config_layout_builder = include(DZSWTL_PATH . 'configs/config-layout-builder.php');


  $margs = array(
    'position_type' => 'relative',
    'display_type' => '',
    'index' => '0',
    'width' => 'default',
    'responsive_width' => '',
    'max_width' => '',
    'height' => 'default',
    'top' => 'auto',
    'left' => 'auto',
    'right' => 'auto',
    'bottom' => 'auto',


    'margin_top' => '',
    'margin_right' => '',
    'margin_bottom' => '',
    'margin_left' => '',

    'padding_top' => '0',
    'padding_right' => '0',
    'padding_bottom' => '0',
    'padding_left' => '0',
    'border_radius' => '0',
    'border_width' => '0',
    'feed_from' => 'title',
    'table_header_title' => '',
    'border_color' => 'transparent',

    'color' => '',
    'background_color' => '',
    'background_image' => '',
    'type' => 'element', // element or container
    'animation_brake' => '',
    'font_size' => '',

    'text_align' => 'left',
    'font_weight' => '',
    'opacity' => '',
    'text' => '',
    'custom_meta_name' => '',
    'custom_attr_name' => '',


    'extra_classes' => '',
    'extra_attr' => '',
    'extra_html' => '',
    'custom_acf_name' => '',
    'feed_from_price_style' => '',
    'feed_from_ratings_style' => '',
    'flex_mode' => '',
    'flex_stretch' => '',
    'overflow' => '',
    'desc_count' => '',
    'thumbnail_height' => '',
    'show_sort_button' => 'default',


    'zoomsounds_mode' => 'full-player',
    'zoomsounds_play_in_footer' => '',
    'zoomsounds_vpconfig' => '',


    'button_type' => 'add-to-cart',
    'button_style' => 'default',
    'button_functionality' => 'default',
    'button_custom_text' => '',

  );

  $default_margs = $dzswtl->generate_layout_item_default_margs;


  $lab = '';
  $margs = array_merge($margs, $pargs);


  if ($margs['width'] == 'default') {

    if ($margs['type'] == 'circ') {
      $margs['width'] = '100%';
    }
    if ($margs['type'] == 'rect') {
      $margs['width'] = '{{perc}}';
    }
  }
  if ($margs['width'] == 'default') {
    $margs['width'] = 'auto';
  }
  if ($margs['height'] == 'default') {
    if ($margs['type'] == 'container') {
      $margs['height'] = 'auto';
    }
    if ($margs['type'] == 'rect') {
      $margs['height'] = '40';
    }
  }

  $struct_item = '';


  $title = '';

  $title = '';
  if ($margs['type'] == 'rect') {

    $title = '<i class="fa fa-stop color-icon" aria-hidden="true"></i>&nbsp;&nbsp; ' . __("Rectangle");
  }

  if ($margs['type'] == 'circ') {

    $title = '<i class="fa fa-circle color-icon" aria-hidden="true"></i>&nbsp;&nbsp; ' . __("Circle");
  }

  if ($margs['type'] == 'text') {

    $title = '<i class="fa fa-font color-icon" aria-hidden="true"></i>&nbsp;&nbsp; ' . __("Text");
  }
  if ($margs['type'] == 'element') {

    $title = '' . __("Element");
  }
  if ($margs['type'] == 'container') {

    $title = ' ' . __("Container");
  }


  $struct_item = '<li class="dd-item builder-layer dd3-item dzstooltip-con3 ';

  if ($margs['type'] == 'container') {
    $struct_item .= ' dd-container';
  }

  $struct_item .= ' dd3-item ';

  if ($margs['type'] != 'container') {
    $struct_item .= ' builder-layer';
  } else {
    $struct_item .= ' builder-layer builder-container';

  }

  $struct_item .= ' type-' . $margs['type'] . '">
        <div class="builder-layer--head "><i class="outline-outer"></i><i class="outline-outer--inner"></i>'
    . '<input type="hidden" name="bars[' . $margs['index'] . '][type]" value="' . $margs['type'] . '"  />'
    . '<span class="the-title" data-type="' . $margs['type'] . '">' . $title . '<span class="feed-from"> ( <span class="feed-from-val">' . $margs['feed_from'] . '</span> )</span></span>'
    . '<span class="sortable-handle-con dd-handle dd3-handle"><span class="sortable-handle dashicons dashicons-menu-alt2"></span></span></div>';

  // dd-content dd3-content

  $struct_item .= '<div class="builder-layer--inside dzstooltip  arrow-left talign-start style-default color-light-dark" style="width: 500px; top: -3px;">';
  $struct_item .= '<div class="dzstooltip--inner" style="padding: 15px; background-color: #444;">';


  if ($margs['type'] == 'text') {
    $struct_item .= '<div class="setting type-text">
<textarea class="text-input builder-field with-tinymce" data-input-label="' . $lab . '" name="bars[' . $margs['index'] . '][text]">' . $margs['text'] . '</textarea>
<div class="sidenote">' . __("Edit font size from the appearence tab") . '
</div>
</div>';

  }

  $struct_item .= '<div class="dzs-tabs skin-box init-layer">';


  $struct_item .= '
        
            <div class="dzs-tab-tobe">
                <div class="tab-menu with-tooltip">
                <i class="fa fa-external-link"></i> <span class="the-label">' . __("Feed") . '</span>
                </div>
                <div class="tab-content">
                
                ';




  foreach ($config_layout_builder as $key => $configItem) {
    $configItem['name'] = $key;

    $struct_item .= dzswtl_generateConfigItemToBuilder($configItem, 'layout-builder--feed', $margs);
  }


  $struct_item .= '
</div>
</div>'; // -- end tab


  // -- start tab POSITION

  $struct_item .= '<div class="dzs-tab-tobe">
            <div class="tab-menu with-tooltip">
            <i class="fa fa-arrows"></i> <span class="the-label">' . __("Position") . '</span>
            </div>
            <div class="tab-content">';


  if ($margs['type'] == 'container') {

    $lab = 'flex_mode';

    $struct_item .= '
                
                <div class="setting ">
            <div class="setting-label">' . __('Flex inside') . '</div>';
    $struct_item .= DZSHelpers::generate_select('bars[' . $margs['index'] . '][' . $lab . ']', array('options' => array(
        array('label' => __('Default'), 'value' => 'none',),
        array('label' => __('Flex Mode'), 'value' => 'flex',),

      ), 'class' => 'dzs-style-me skin-beige builder-field',

        'extraattr' => '  data-default-val="' . $default_margs[$lab] . '"',
        'seekval' => $margs[$lab],
      )

    );

    $struct_item .= '</div>';
  }




  foreach ($config_layout_builder as $key => $configItem) {
    $configItem['name'] = $key;

    $struct_item .= dzswtl_generateConfigItemToBuilder($configItem, 'layout-builder--position', $margs);
  }







  $struct_item .= '
            <hr>
            <div class="dzstoggle">
            <div class="toggle-title">
            ' . esc_html__("Dimensions", 'dzswtl') . '
            </div>
            <div class="toggle-content">
            
            ';


  // -- start content ( DIMENSIONS )


  $struct_item .= '<div class="setting">
            <div class="setting-label">' . esc_html__("Position type", 'dzswtl') . '</div>';
  $lab = 'position_type';


  $args = array('options' => array('relative', 'absolute'), 'class' => 'dzs-style-me skin-beige builder-field', 'extraattr' => ' data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }

  $struct_item .= DZSHelpers::generate_select('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '</div>';


  $struct_item .= '<div class="setting">
            <div class="setting-label">' . esc_html__("Display type", 'dzswtl') . '</div>';
  $lab = 'display_type';


  $args = array(
    'options' => array(
      array('label' => esc_html__('Default', 'dzswtl'), 'value' => '',),
      array('label' => esc_html__('Inline', 'dzswtl'), 'value' => 'inline-block',),

    ),
    'class' => 'dzs-style-me skin-beige builder-field',
    'extraattr' => ' data-label="' . $lab . '"',
    'seekval' => $margs[$lab]
  );

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }

  $struct_item .= DZSHelpers::generate_select('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '</div>';


  $struct_item .= '<div class="flex-con">
            <div class="one-fourth">
            <div class="setting">
            <div class="setting-label">' . __("Width") . '</div>';



  $lab = 'width';
  $args = array('class' => 'text-input builder-field', 'extraattr' => ' data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
            
                </div>
                </div>';// -- end .one-fourth


  $struct_item .= '<div class="one-fourth">
            <div class="setting">
            <div class="setting-label">' . __("Max") . ' ' . __("Width") . '</div>
            
            ';



  $lab = 'max_width';
  $args = array(
    'class' => 'text-input builder-field',
    'extraattr' => '  data-label="' . $lab . '"',
    'seekval' => $margs[$lab]
  );

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
            
                </div>
                </div>';
  $struct_item .= '
            <div class="one-fourth">
            <div class="setting">
            <div class="setting-label">' . __("Min") . ' ' . __("Width") . '</div>
            
            ';



  $lab = 'min_width';

  $val = '';

  if (isset($margs[$lab]) && $margs[$lab]) {
    $val = $margs[$lab];
  }

  $args = array(
    'class' => 'text-input builder-field',
    'extraattr' => ' data-label="' . $lab . '"',
    'seekval' => $val
  );

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
            
                </div>
                </div>';


  $struct_item .= '<div class="one-fourth">
            <div class="setting">
            <div class="setting-label">' . __("Height") . '</div>
             ';



  $lab = 'height';
  $args = array('class' => 'text-input builder-field', 'extraattr' => 'data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
                </div>
    <div class="clear"></div>


            <hr>
            
<div class="flex-con">
            <div class="one-half" style="float:none; margin: 0 auto;">
            <div class="setting">
            <div class="setting-label">' . __("Top") . '</div>
             ';



  $lab = 'top';
  $args = array('class' => 'text-input builder-field', 'extraattr' => 'data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
                </div>

<div class="flex-con">
            <div class="one-half">
            <div class="setting">
            <div class="setting-label">' . __("Left") . '</div>
             ';



  $lab = 'left';
  $args = array('class' => 'text-input builder-field', 'extraattr' => 'data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
            <div class="one-half">
            <div class="setting">
            <div class="setting-label">' . __("Right") . '</div>
             ';



  $lab = 'right';
  $args = array('class' => 'text-input builder-field', 'extraattr' => 'data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
                </div>

<div class="flex-con">
            <div class="one-half" style="float:none; margin: 0 auto;">
            <div class="setting">
            <div class="setting-label">' . __("Bottom") . '</div>
             ';



  $lab = 'bottom';
  $args = array('class' => 'text-input builder-field', 'extraattr' => 'data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
                </div>';


  // -- end toggle content DIMENSIONS
  $struct_item .= '  
            </div>
            </div>';


  $struct_item .= '<div class="dzstoggle">
<div class="toggle-title">
' . __("Responsive Dimensions") . '
</div>
<div class="toggle-content">';


  $struct_item .= '<div class="setting">
            <div class="setting-label">' . __("Width") . '</div>';



  $lab = 'responsive_width';
  $args = array('class' => 'text-input builder-field', 'extraattr' => ' data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '</div>';// -- end .setting


  // -- end toggle content RESPONSIVE DIMENSIONS
  $struct_item .= '  
            </div>
            </div>';


  $struct_item .= '<div class="dzstoggle">
            <div class="toggle-title">
            ' . __("Margins") . '
            </div>
            <div class="toggle-content">
<div class="flex-con">
            <div class="one-half" style="float:none; margin: 0 auto;">
            <div class="setting">
            <div class="setting-label">' . __("Margin") . ' ' . __("Top") . '</div>
            ';


  $lab = 'margin_top';
  $args = array('class' => 'text-input builder-field', 'extraattr' => 'data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
                </div>
<div class="flex-con">
            <div class="one-half">
            <div class="setting">
            <div class="setting-label">' . __("Margin") . ' ' . __("Left") . '</div>
            ';



  $lab = 'margin_left';
  $args = array('class' => 'text-input builder-field', 'extraattr' => 'data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
            <div class="one-half">
            <div class="setting">
            <div class="setting-label">' . __("Margin") . ' ' . __("Right") . '</div>
            ';



  $lab = 'margin_right';
  $args = array('class' => 'text-input builder-field', 'extraattr' => 'data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
                </div>  

<div class="flex-con">
            <div class="one-half" style="float:none; margin: 0 auto;">
            <div class="setting">
            <div class="setting-label">' . __("Margin") . ' ' . __("Bottom") . '</div>
            ';



  $lab = 'margin_bottom';
  $args = array('class' => 'text-input builder-field', 'extraattr' => 'data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
                </div>
    
    
    
            </div>
            </div>
            
            
            <div class="dzstoggle">
            <div class="toggle-title">
            ' . __("Paddings") . '
            </div>
            <div class="toggle-content">
            
<div class="flex-con">
            <div class="one-half" style="float:none; margin: 0 auto;">
            <div class="setting">
            <div class="setting-label">' . __("Padding") . ' ' . __("Top") . '</div>
            ';



  $lab = 'padding_top';
  $args = array('class' => 'text-input builder-field', 'extraattr' => 'data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
                </div>
<div class="flex-con">
            <div class="one-half">
            <div class="setting">
            <div class="setting-label">' . __("Padding") . ' ' . __("Left") . '</div>
            ';



  $lab = 'padding_left';
  $args = array('class' => 'text-input builder-field', 'extraattr' => ' data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
            <div class="one-half">
            <div class="setting">
            <div class="setting-label">' . __("Padding") . ' ' . __("Right") . '</div>
            ';



  $lab = 'padding_right';
  $args = array('class' => 'text-input builder-field', 'extraattr' => ' data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
                </div>

<div class="flex-con">
            <div class="one-half" style="float:none; margin: 0 auto;">
            <div class="setting">
            <div class="setting-label">' . __("Padding") . ' ' . __("Bottom") . '</div>
            ';



  $lab = 'padding_bottom';
  $args = array('class' => 'text-input builder-field', 'extraattr' => ' data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= '
                </div>
                </div>
                </div>
    
    
    
            </div>
            </div>
            
            
            
            
            <div class="dzstoggle only-for-type-container">
            <div class="toggle-title">
            ' . __("Flex Position") . '
            </div>
            <div class="toggle-content">
            
            
            
            
            ';


  $struct_item .= '</div>
            </div> </div> </div>
            <div class="dzs-tab-tobe">
                <div class="tab-menu with-tooltip">
                <i class="fa fa-paint-brush"></i> <span class="the-label">' . __("Styling") . '</span>
                </div>
                <div class="tab-content">
                
                
                ';


  $lab = 'background_color';
  $struct_item .= '<div class="setting ">
            <div class="setting-label">' . __("Background") . ' ' . __("Color") . '</div>
            <div class="flex-with-colorpicker">
            <input class="text-input builder-field with-colorpicker spectrum-me spectrum-input-visible" type="text" name="bars[' . $margs['index'] . '][' . $lab . ']" data-label="' . $lab . '" value="' . $margs[$lab] . '">
            </div>
                </div>';


  $struct_item .= ' <div class="dzstoggle">
            <div class="toggle-title">
            ' . __("Text") . '
            </div>
            <div class="toggle-content">';


  $lab = 'color';


  $struct_item .= '<div class="setting ">
            <div class="setting-label">' . __("Color") . '</div>
            <div class="flex-with-colorpicker">
            <input class="text-input builder-field with-colorpicker  spectrum-me spectrum-input-visible" type="text" name="bars[' . $margs['index'] . '][' . $lab . ']" data-label="' . $lab . '" value="' . $margs[$lab] . '"><span class="picker-con picker-left"><span class="the-icon"></span><span class="picker"></span></span>
            </div>
</div>';


  $lab = 'font_size';
  $struct_item .= '   <div class="setting">
            <div class="setting-label">' . __("Font size") . '</div>
            ';



  $args = array('class' => 'builder-field', 'extraattr' => ' data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= ' </div>';


  $lab = 'text_align';

  $struct_item .= '
                
                <div class="setting ">
            <div class="setting-label">' . __('Align') . '</div>';
  $struct_item .= DZSHelpers::generate_select('bars[' . $margs['index'] . '][' . $lab . ']', array('options' => array(
    array('label' => esc_html__('Default', 'dzswtl'), 'value' => '',),
    array('label' => esc_html__('Center', 'dzswtl'), 'value' => 'center',),
    array('label' => esc_html__('Right', 'dzswtl'), 'value' => 'right',),
  ), 'class' => 'dzs-style-me skin-beige builder-field', 'seekval' => $margs[$lab]));

  $struct_item .= '</div>';


  $lab = 'font_weight';

  $struct_item .= '
                
                <div class="setting ">
            <div class="setting-label">' . __('Weight') . '</div>';
  $struct_item .= DZSHelpers::generate_select('bars[' . $margs['index'] . '][' . $lab . ']', array('options' => array(
    array('label' => esc_html__('Default', 'dzswtl'), 'value' => '',),
    array('label' => esc_html__('Slim', 'dzswtl'), 'value' => '300',),
    array('label' => esc_html__('Bold', 'dzswtl'), 'value' => '700',),
  ), 'class' => 'dzs-style-me skin-beige builder-field', 'seekval' => $margs[$lab]));

  $struct_item .= '</div>';


  $struct_item .= '</div>
</div>'; // -- end toggle


  $lab = 'opacity';
  $struct_item .= '   <div class="setting">
            <div class="setting-label">' . __("Opacity") . '</div>
            ';



  $args = array('class' => 'builder-field', 'extraattr' => ' data-label="' . $lab . '"', 'seekval' => $margs[$lab]);

  if (isset($default_margs[$lab])) {
    $args['extraattr'] .= ' data-default-val="' . $default_margs[$lab] . '"';
  }
  $struct_item .= DZSHelpers::generate_input_text('bars[' . $margs['index'] . '][' . $lab . ']', $args);

  $struct_item .= ' </div>';


  if ($margs['type'] == 'container') {

    $lab = 'overflow';


    $arr_overflow = array(
      array(
        'label' => __("Show Overflow"),
        'value' => 'auto',
      ),
      array(
        'label' => __("Hide Overflow"),
        'value' => 'hidden',
      ),
    );

    $struct_item .= '   <div class="setting">
            <div class="setting-label">' . __("Overflow") . '</div>';
    $struct_item .= DZSHelpers::generate_select('bars[' . $margs['index'] . '][' . $lab . ']', array('options' => $arr_overflow, 'class' => 'dzs-style-me skin-beige builder-field', 'seekval' => $margs[$lab]));

    $struct_item .= '</div>
        ';
  }

  $struct_item .= '  <div class="setting ">
                    <div class="setting-label">' . __("Extra") . ' ' . __("Classes") . '</div>
                    <input class="text-input builder-field" type="text" name="bars[' . $margs['index'] . '][extra_classes]" data-label="' . $lab . '" value="' . $margs['extra_classes'] . '">
                </div>';

  $struct_item .= '  <div class="setting ">
                    <div class="setting-label">' . __("Extra") . ' ' . __("Attributes") . '</div>
                    <input class="text-input builder-field" type="text" name="bars[' . $margs['index'] . '][extra_attr]" data-label="' . $lab . '" value="' . $margs['extra_attr'] . '">
                </div>';


  $lab = 'extra_html_before';

  $val = '';

  if (isset($margs[$lab])) {
    $val = $margs[$lab];
  }
  $struct_item .= '  <div class="setting ">
                    <div class="setting-label">' . __("Extra") . ' ' . ("HTML") . ' ' . ("before") . '</div>
                    <textarea class="text-input builder-field" type="text" name="bars[' . $margs['index'] . '][' . $lab . ']" data-label="' . $lab . '" value="" style="width: 100%; ">' . $val . '</textarea>
                </div>';


  $lab = 'extra_html';
  $struct_item .= '  <div class="setting ">
                    <div class="setting-label">' . __("Extra") . ' ' . ("HTML") . '</div>
                    <textarea class="text-input builder-field" type="text" name="bars[' . $margs['index'] . '][' . $lab . ']" data-label="' . $lab . '" value="" style="width: 100%; ">' . $margs[$lab] . '</textarea>
                </div>';


  $struct_item .= '
                </div>
            </div>';


  $struct_item .= '</div>';


  $struct_item .= '<a href="#" class="builder-layer--btn-delete">' . __("Delete") . ' ' . __("Item") . '</a>';
  $struct_item .= '</div>';
  $struct_item .= '</div>';


  $isHasAnyItems = false;
  for ($i = 0; $i < 10; $i++) {

    if (isset($margs[$i]) && is_array($margs[$i])) {

      $isHasAnyItems = true;

      if (isset($margs[$i][0]) && count($margs[$i][0]) == 1) {
        $margs[$i] = $margs[$i][0];
      }
    }
  }
  if ($isHasAnyItems) {

    $struct_item .= '<ol class="dd-list">';


    for ($i = 0; $i < 10; $i++) {

      if (isset($margs[$i]) && is_array($margs[$i])) {

        $struct_item .= dzswtl_generate_layer_item($margs[$i]);
      }
    }

    $struct_item .= '</ol>';
  }

  $struct_item .= '</li>';
  return $struct_item;


}
