<?php


/**
 * @param $layerItemBuildFnAtts
 * @param $layoutDataItem
 * @param $stringForFeedCustomAttribute
 * @param $valueFromProductMeta
 * @return string
 */
function dzswtl_view_layout_generateClassesForItem($layerItemBuildFnAtts,$layoutDataItem,$stringForFeedCustomAttribute, $valueFromProductMeta) {
  $stringClasses = '';


  $stringClasses .= 'table--content--item ' . $layerItemBuildFnAtts['layout_mode'] . '-col col-feed-from-' . $layoutDataItem['feed_from'];


  if ($layoutDataItem['feed_from'] == 'price') {
    $stringClasses .= ' feed-from-price-style-' . $layoutDataItem['feed_from_price_style'];
  }


  // -- the mode of zoomsounds
  if ($layoutDataItem['feed_from'] == DZSWTL_BUILDER_COL_TYPE_ZOOMSOUNDS_PLAYER) {
    $stringClasses .= ' zoomsounds-mode-' . $layoutDataItem['zoomsounds_mode'];
  }

  if ($layerItemBuildFnAtts['layout_mode'] == 'grid') {

    // -- todo: why on table--content--item ?
//				$iout.=' dzs-layout-item';
  }

  if (isset($layoutDataItem['feed_from']) && $layoutDataItem['feed_from'] == 'custom-attribute') {
    if ($stringForFeedCustomAttribute == '' && $valueFromProductMeta == '') {
      $stringClasses .= ' feed-is-empty';
    }
  }

  if (isset($layoutDataItem['text_align']) && $layoutDataItem['text_align'] && $layoutDataItem['text_align']!='default') {

    $stringClasses .= ' text-align-'.$layoutDataItem['text_align'];
  }
  if (isset($layoutDataItem['flex_stretch'])) {

    if($layoutDataItem['flex_stretch']==='none'){
      $stringClasses.=' flex-fixed-width';
    }
    if($layoutDataItem['flex_stretch']==='0 0 auto'){
      $stringClasses.=' flex-stretch-minimum';
    }
    if($layoutDataItem['flex_stretch']==='1000'){
      $stringClasses.=' flex-stretch-maximum';
    }
  }
  if (isset($layoutDataItem['extra_classes'])) {
    $stringClasses .= ' ' . $layoutDataItem['extra_classes'] . ' ';
  }




  return $stringClasses;
}



