<?php

/**
 * @param string $paginationString
 * @param array $shortcodeAtts
 * @param array $shopAtts
 * @return string
 */
function dzswtl_view_shortcode_generatePaginationCon($paginationString, $shortcodeAtts, $shopAtts){


  $fout = '';

  if($shortcodeAtts['pagination_custom_goto_page']=='on'){

    $fout.='<div class="woo-table--gotoPage">';
    $fout.='<label>';
    $fout.='<span class="woo-table--gotoPage--label">'.esc_html__('Go to page: ',DZSWTL_ID).'</span>';
    $fout.='<input class="woo-table--gotoPage--input" type="number" min="0" step="1"/>';
    $fout.='</label>';
    $fout.='</div>';
  }

  $fout.='<div class="woo-table--pagination">'.$paginationString.'</div>';

  // if per_row which means...
  if ($shopAtts['per_row']) {
    $fout .= '<div class="per-row dzs-pagination dzs-pagination--per-row">';

    $per_rows = explode(',', $shopAtts['per_row']);


    foreach ($per_rows as $nominatedFilterKey => $per_rowi) {

      $link = add_query_arg(array(
        'posts_per_page' => $per_rowi,
        'cookie_set_posts_per_page' => 'on',
      ), dzs_curr_url());

      $fout .= '<a href="' . $link . '" data-per-row="' . $per_rowi . '" class="dzs-woo-ajax pagination-link pagination-link--per-row ';


      if ($shopAtts['posts_per_page'] == $per_rowi) {
        $fout .= ' current';
      }

      $fout .= '"><span class="the-pagination-number--inner">' . $per_rowi . '</span></a>';
    }


    $fout .= '</div>';
  }

  return $fout;
}