<?php



function dzswtl_shortcode_generator() {

  global $dzswtl;


  $startinit = '';

  DZSWTLHelpers::enqueue_dzsSelector();


  wp_enqueue_style('dzswtl_shortcode_builder', $dzswtl->base_url . 'shortcodegenerator/shortcode-generator.css');
  wp_enqueue_script('dzswtl_shortcode_builder', $dzswtl->base_url . 'shortcodegenerator/shortcode-generator.js');


  wp_enqueue_style('dzstoggle', $dzswtl->base_url . 'libs/dzstoggle/dzstoggle.css');
  wp_enqueue_script('dzstoggle', $dzswtl->base_url . "libs/dzstoggle/dzstoggle.js");

  if (isset($_GET['sel'])) {
    $startinit = stripslashes($_GET['sel']);
  }

  $url_admin = get_admin_url();


  ?>
  <script>

    window.dzswtl_startinit = '<?php
      echo $startinit;

      ?>';

  </script>

  <style>
    .sc-con-for-showcase-builder .opener-listbuttons-wrap{
        flex-wrap: wrap;
    }
    .sc-con-for-showcase-builder .opener-listbuttons-wrap section{
        flex: 0 0 25%;
    }
  </style>
  <div class="sc-con sc-con-for-showcase-builder">
    <div class="sc-menu">


      <?php
      $lab = 'layout';
      ?>
      <?php


      $wpqargs = array(
        'post_type' => 'dzswtl_list_layout',
        'posts_per_page' => '-1',
      );

      $query = new WP_Query($wpqargs);

      $pos = $query->posts;
      ?>
      <div class="setting  mode-any">
        <h4><?php echo esc_html__("Layout", 'dzswtl'); ?></h4>

        <select class="dzswtl-shortcode-generator--selector-for-layout dzs-style-me layout-options opener-listbuttons  shortcode-field" name="<?php echo $lab; ?>">
          <?php
          foreach ($pos as $po) {
            echo '<option value="' . $po->post_name . '">' . $po->post_name . '</option>';
          }
          ?>
        </select>
        <ul class="dzs-style-me-feeder">

          <?php

          foreach ($pos as $po) {
            echo '<section class="bigoption bigoption-half-w" style="min-width: 150px;">
<div class="option-con">';

            $layout = $po->post_name;


            echo dzswtl_shortcode_woo_table(array(
              'layout' => $layout,
              'called_from' => 'shortcode_generator',
              'get_preview_data' => 'on',
            ));


            echo '</div><span class="option-nopointer-overlay"></span><span class="option-label">' . $po->post_title . '</span>
</section>';
          }
          ?>

        </ul>
      </div>


      <?php
      $lab = 'posts_per_page';
      ?>

      <div class="setting mode-any  ">
        <h4><?php echo esc_html__("Posts per page", 'dzswtl'); ?></h4>

        <?php


        ?>
        <input class="shortcode-field regular-text" name="<?php echo $lab; ?>" value="5"/>
      </div>


      <?php
      $lab = 'show_filtered_by';
      ?>

      <div class="setting  mode-any">
        <h4><?php echo __("Show filtered by"); ?></h4>
        <?php


        $arr_opts = array(
          array(
            'value' => 'on',
            'label' => __("Default"),
          ),
          array(
            'value' => 'off',
            'label' => __("Disable"),
          ),


        );


        echo DZSHelpers::generate_select($lab, array(
          'options' => $arr_opts,
          'class' => 'dzs-style-me skin-beige  shortcode-field',
          'seekval' => '',
        ));
        ?>

      </div>

      <?php
      $lab = 'default_orderby';
      ?>
      <div class="setting  mode-any">
        <h4><?php echo __("Order by"); ?></h4>
        <?php


        $arr_opts = array(
          array(
            'value' => '',
            'label' => esc_html__("Default", 'dzswtl'),
          ),
          array(
            'value' => 'date',
            'label' => esc_html__("Date", 'dzswtl'),
          ),
          array(
            'value' => 'price',
            'label' => esc_html__("Price", 'dzswtl'),
          ),
          array(
            'value' => 'ratings_score',
            'label' => esc_html__("Ratings", 'dzswtl'),
          ),
          array(
            'value' => 'zoomsounds_likes',
            'label' => esc_html__("Zoomsounds Likes", 'dzswtl'),
          ),
          array(
            'value' => 'zoomsounds_plays',
            'label' => esc_html__("Zoomsounds Plays", 'dzswtl'),
          ),


        );


        echo DZSHelpers::generate_select($lab, array(
          'options' => $arr_opts,
          'class' => 'dzs-style-me skin-beige  shortcode-field',
          'seekval' => '',
        ));
        ?>
        <div
          class="sidenote"><?php echo esc_html__("This is the default order by argument. It will get overwritten if user selects other order.", 'dzswtl'); ?></div>

      </div>

      <?php
      $lab = 'default_order';
      ?>
      <div class="setting  mode-any">
        <h4><?php echo __("Order"); ?></h4>
        <?php


        $arr_opts = array(
          array(
            'value' => '',
            'label' => esc_html__("Default", 'dzswtl'),
          ),
          array(
            'value' => 'DESC',
            'label' => esc_html__("Descending", 'dzswtl'),
          ),
          array(
            'value' => 'ASC',
            'label' => esc_html__("Ascending", 'dzswtl'),
          ),


        );


        echo DZSHelpers::generate_select($lab, array(
          'options' => $arr_opts,
          'class' => 'dzs-style-me skin-beige  shortcode-field',
          'seekval' => '',
        ));
        ?>
        <div
          class="sidenote"><?php echo esc_html__("This is the default order by argument. It will get overwritten if user selects other order.", 'dzswtl'); ?></div>

      </div>


      <div class="clear"></div>
      <br/>
      <br/>
      <button id="insert_tests"
              class="button-primary insert-tests"><?php echo esc_html__("Insert Shortcode", 'dzswtl'); ?></button>
      <div class="shortcode-output"></div>
    </div>
    <div class="feedbacker"><i
        class="fa fa-circle-o-notch fa-spin"></i><?php echo esc_html__(" Loading... ", 'dzswtl'); ?></div>


  </div><?php
}