

// -- items need dzs-dependency-field in order to work
var dzs_dependency_on_document_ready = function () {

  var $ = jQuery;
  var inter_check_dp_settings = 0;


  setTimeout(function () {


    window.dzs_suspend_dependency_check = false;
    $('.dzs-dependency-field').trigger('change');
  }, 1000);

  window.dzs_checkDependency = checkDependencySettings_debounce;



  $(document).on('change.dzsdepe', '.dzs-dependency-field,*[name="0-settings-vpconfig"]', handle_change);

  function handle_change() {


    var _t = $(this);
    if (_t.hasClass('dzs-dependency-field')) {
      checkDependencySettings_debounce();
    }

  }


  function checkDependencySettings_debounce() {


    clearTimeout(inter_check_dp_settings);
    inter_check_dp_settings = setTimeout(function () {
      checkDependencySettings()
    }, 100);

  }


  function checkDependencySettings(pargs) {


    var margs = {
      target_attribute: 'name'
    }


    if (pargs) {

      margs = $.extend(margs, pargs);
    }

    if (window.dzs_suspend_dependency_check) {
      return false;
    }


    $('*[data-dependency]').each(function () {
      var _t = $(this);

      var _t_label = _t.attr('data-label');


      var str_dependency = _t.attr('data-dependency');
      str_dependency = str_dependency.replace(/{{quot}}/g, '"');



      // -- todo: we treat this bug "{[dada,"dada"]}"

      if (str_dependency.indexOf('"') === 0) {
        str_dependency = str_dependency.substr(1, str_dependency.length - 2);
      }
      var dependencyArray = [];


      try {
        dependencyArray = JSON.parse(str_dependency);


        if (_t_label === 'button_custom_text') {
        }

        if (dependencyArray[0]) {
          var _cFindTarget = null;


          var target_attribute = margs.target_attribute;

          var target_con = $(document);


          if (_t.hasClass('check-label')) {
            target_attribute = 'data-label';
          }
          if (_t.hasClass('check-instanceid')) {
            target_attribute = 'instanceid';
          }
          if (_t.hasClass('check-parent1')) {
            target_con = _t.parent();
          }
          if (_t.hasClass('check-parent2')) {
            target_con = _t.parent().parent();
          }
          if (_t.hasClass('check-parent3')) {
            target_con = _t.parent().parent().parent();
          }



          if (_t.attr('data-option-name') === 'dzsap_meta_download_custom_link') {
          }

          if (dependencyArray[0].lab) {
            _cFindTarget = target_con.find('*[' + target_attribute + '="' + dependencyArray[0].lab + '"]:not(.fake-input)').eq(0);

            if (_cFindTarget.length === 0) {
              _cFindTarget = target_con.find('*[name="0-settings-' + dependencyArray[0].lab + '"]:not(.fake-input)').eq(0);
            }
          }
          if (dependencyArray[0].label) {
            _cFindTarget = target_con.find('*[' + target_attribute + '="' + dependencyArray[0].label + '"]:not(.fake-input)').eq(0);


            if (_cFindTarget.length === 0) {
              _cFindTarget = target_con.find('*[name="0-settings-' + dependencyArray[0].lab + '"]:not(.fake-input)').eq(0);
            }
          }
          if (dependencyArray[0].element) {
            _cFindTarget = target_con.find('*[' + target_attribute + '="' + dependencyArray[0].element + '"]:not(.fake-input)').eq(0);
            if (_t.attr('data-option-name') === 'dzsap_meta_download_custom_link') {
            }


            if(_cFindTarget[0] && _cFindTarget[0].nodeName=='DIV'){
              _cFindTarget = _cFindTarget.find('select:not(.fake-input),input:not(.fake-input),textarea:not(.fake-input)').eq(0);
            }
          }


          if (_t.attr('data-option-name') === 'dzsap_meta_download_custom_link') {
          }

          if (_cFindTarget) {

            var cval = _cFindTarget.val();


            var sw_show = false;


            if (dependencyArray[0].val) {

              for (let i3 in dependencyArray[0].val) {
                if (_cFindTarget.val() === dependencyArray[0].val[i3]) {
                  sw_show = true;

                  break;

                }
              }
            }


            if (dependencyArray.relation) {

              for (let i in dependencyArray) {
                if (i === 'relation') {
                  continue;
                }


                if (dependencyArray[i].value) {
                  if (String(dependencyArray.relation).toUpperCase() === 'AND') {
                    sw_show = false;
                  }


                  if (dependencyArray[0].element) {
                    _cFindTarget = target_con.find('*[' + target_attribute + '="' + dependencyArray[i].element + '"]:not(.fake-input)').eq(0);
                  }
                  if (_t.attr('data-option-name') === 'dzsap_meta_download_custom_link') {
                  }


                  for (var i3 in dependencyArray[i].value) {


                    if (_cFindTarget.val() === dependencyArray[i].value[i3]) {


                      if (_cFindTarget.attr('type') === 'checkbox') {
                        if (_cFindTarget.val() === dependencyArray[i].value[i3] && _cFindTarget.prop('checked')) {

                          sw_show = true;
                        }
                      } else {

                        sw_show = true;
                      }

                      break;

                    }


                    if (dependencyArray[i].value[i3] === 'anything_but_blank' && cval) {

                      sw_show = true;
                      break;
                    }
                  }
                }

              }

            } else {

              // -- no relation

              if (dependencyArray[0].value) {

                var breaker = 500;
                for (let i3 in dependencyArray[0].value) {
                  if (_cFindTarget.val() === dependencyArray[0].value[i3]) {


                    if (_cFindTarget.attr('type') === 'checkbox') {
                      if (_cFindTarget.val() === dependencyArray[0].value[i3] && _cFindTarget.prop('checked')) {

                        sw_show = true;
                      }
                    } else {
                      sw_show = true;
                    }
                    break;
                  }


                  if (dependencyArray[0].value[i3] === 'anything_but_blank' && cval) {

                    sw_show = true;
                    break;
                  }
                  breaker--;
                  if (breaker < 0) {
                    return false;
                  }
                }
              }
            }


            if (sw_show) {
              _t.show();
            } else {
              _t.hide();
            }
          }


        }
      } catch (err) {
        console.error('json dependency error - ', str_dependency);
        console.error(err);
      }
    })
  }
}
module.exports.dzs_dependency_on_document_ready = dzs_dependency_on_document_ready;