<?php

return array(

//  'pagination_method' => array(
//    'type' => 'select',
//    'category' => 'general',
//    'default' => 'pages',
//    'select_type' => ' ',
//    'title' => esc_html__('Pagination Method', DZSWTL_ID),
//    'extra_classes' => '',
//    'choices' => array(
//      array(
//        'label' => esc_html__("Pages", DZSWTL_ID),
//        'value' => 'pages',
//      ),
//      array(
//        'label' => __("Infinite Scroll"),
//        'value' => 'scroll',
//      ),
//      array(
//        'label' => __("No pagination"),
//        'value' => 'none',
//      ),
//    ),
//  ),

  'integrate_search_in_filters' => array(
    'type' => 'select',
    'category' => 'general',
    'default' => 'off',
    'select_type' => ' ',
    'title' => esc_html__('Integrate outside search in filters', DZSWTL_ID),
    'sidenote' => esc_html__('from search parameter, if you have the shop in the search', DZSWTL_ID),
    'extra_classes' => '',
    'choices' => array(
      array('label' => __('Disable'), 'value' => 'off',),
      array('label' => __('Enable'), 'value' => 'on',),

    ),
  ),

  'query_remove_out_of_stock_options' => array(
    'type' => 'select',
    'category' => 'general',
    'default' => 'default',
    'select_type' => ' ',
    'title' => esc_html__('Remove out of stock items from query', DZSWTL_ID),
    'sidenote' => esc_html__('by default, it will read the data from the WooCommerce Settings', DZSWTL_ID),
    'extra_classes' => '',
    'choices' => array(
      array('label' => __('Default'), 'value' => 'default',),
      array('label' => __('Show only in stock'), 'value' => 'on',),
      array('label' => __('Show all products'), 'value' => 'off',),

    ),
  ),

  'extra_classes' => array(
    'type' => 'text',
    'category' => 'general',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Extra classes', DZSWTL_ID),
    'sidenote' => sprintf(esc_html__('input %s which will target this config in the styling', DZSWTL_ID), '<strong>#selector#</strong>'),
    'extra_classes' => '',
    'choices' => array(
      array('label' => __('Default'), 'value' => 'default',),
      array('label' => __('Show only in stock'), 'value' => 'on',),
      array('label' => __('Show all products'), 'value' => 'off',),

    ),
  ),

  'layout_mode' => array(
    'type' => 'select',
    'title' => esc_html__('Layout Mode', DZSWTL_ID),
    'category' => 'layout-layout',
    'default' => 'list',
    'select_type' => ' ',
    'formsExtraClasses' => ' dzs-dependency-field',
    'choices' => array(
      array(
        'label' => esc_html__("Table", DZSWTL_ID),
        'value' => 'list',
      ),
      array(
        'label' => esc_html__("Grid", DZSWTL_ID),
        'value' => 'grid',
      ),
    ),
  ),

  'layout_mode_list_wrap' => array(
    'type' => 'select',
    'title' => esc_html__('Wrap in case of overflow', DZSWTL_ID),
    'category' => 'layout-layout',
    'default' => 'off',
    'dependency' => array(
      array(
        'element' => 'layout_mode',
        'value' => array('list'),
      ),
    ),
    'settingConExtraClasses' => ' check-label check-parent3 ',
    'formsExtraClasses' => ' ',
    'choices' => array(
      array(
        'label' => esc_html__("One line", DZSWTL_ID),
        'value' => 'off',
      ),
      array(
        'label' => esc_html__("Wrap", DZSWTL_ID),
        'value' => 'on',
      ),
    ),
    'select_type' => ' ',
  ),

  'layout_mode_grid_cols' => array(
    'type' => 'select',
    'title' => esc_html__('Number of Columns', DZSWTL_ID),
    'category' => 'layout-layout',
    'default' => 'dzs-layout--3-cols',
    'dependency' => array(
      array(
        'element' => 'layout_mode',
        'value' => array('grid'),
      ),
    ),
    'settingConExtraClasses' => ' check-label check-parent3 ',
    'formsExtraClasses' => ' ',
    'choices' => array(
      array(
        'label' => esc_html__("One Columns"),
        'value' => 'dzs-layout--1-cols',
      ),
      array(
        'label' => esc_html__("Two Columns"),
        'value' => 'dzs-layout--2-cols',
      ),
      array(
        'label' => esc_html__("Three Columns"),
        'value' => 'dzs-layout--3-cols',
      ),
      array(
        'label' => esc_html__("Four Columns"),
        'value' => 'dzs-layout--4-cols',
      ),
      array(
        'label' => esc_html__("Five Columns"),
        'value' => 'dzs-layout--5-cols',
      ),
      array(
        'label' => esc_html__("Six Columns"),
        'value' => 'dzs-layout--6-cols',
      ),
    ),
    'select_type' => ' ',
  ),

  'layout_mode_grid_mode' => array(
    'type' => 'select',
    'title' => esc_html__('Grid mode', DZSWTL_ID),
    'category' => 'layout-layout',
    'default' => 'normal',
    'dependency' => array(
      array(
        'element' => 'layout_mode',
        'value' => array('grid'),
      ),
    ),
    'settingConExtraClasses' => ' check-label check-parent3 ',
    'formsExtraClasses' => ' ',
    'choices' => array(
      array(
        'label' => esc_html__("Normal"),
        'value' => 'normal',
      ),
      array(
        'label' => esc_html__("Masonry"),
        'value' => 'masonry',
      ),
      array(
        'label' => esc_html__("Horizontal scroller"),
        'value' => 'scroller',
      ),
    ),
    'select_type' => ' ',
  ),

  'layout_mode_grid_cols_gap' => array(
    'type' => 'select',
    'title' => esc_html__('Column padding', DZSWTL_ID),
    'category' => 'layout-layout',
    'default' => '',
    'dependency' => array(
      array(
        'element' => 'layout_mode',
        'value' => array('grid'),
      ),
    ),
    'settingConExtraClasses' => ' check-label check-parent3 ',
    'formsExtraClasses' => ' ',
    'choices' => array(
      array(
        'label' => esc_html__("default", DZSWTL_ID),
        'value' => '',
      ),
      array(
        'label' => sprintf(esc_html__("%s pixel", DZSWTL_ID), '1'),
        'value' => '1',
      ),
      array(
        'label' => sprintf(esc_html__("%s pixels", DZSWTL_ID), '10'),
        'value' => '10',
      ),
      array(
        'label' => sprintf(esc_html__("%s pixels", DZSWTL_ID), '30'),
        'value' => '30',
      ),

    ),
    'select_type' => ' ',
  ),


  'item_transition' => array(
    'type' => 'select',
    'category' => 'layout-appearance',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Item Transition', DZSWTL_ID),
    'extra_classes' => '',
    'choices' => array(
      array(
        'label' => esc_html__("Default Transition"),
        'value' => '',
      ),
      array(
        'label' => esc_html__("Fade"),
        'value' => 'fade',
      ),
      array(
        'label' => esc_html__("Slide up"),
        'value' => 'slide-up',
      ),
    ),
  ),

  'item_align' => array(
    'type' => 'select',
    'category' => 'layout-appearance',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Item Align', DZSWTL_ID),
    'extra_classes' => '',
    'choices' => array(
      array(
        'label' => esc_html__("Default Align"),
        'value' => '',
      ),
      array(
        'label' => esc_html__("Left"),
        'value' => 'left',
      ),
      array(
        'label' => esc_html__("Center"),
        'value' => 'center',
      ),
      array(
        'label' => esc_html__("Right"),
        'value' => 'right',
      ),
    ),
  ),

  'item_text_align' => array(
    'type' => 'select',
    'category' => 'layout-appearance',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Text Align', DZSWTL_ID),
    'extra_classes' => '',
    'choices' => array(
      array(
        'label' => esc_html__("Default Align", DZSWTL_ID),
        'value' => '',
      ),
      array(
        'label' => esc_html__("Left"),
        'value' => 'left',
      ),
      array(
        'label' => esc_html__("Center"),
        'value' => 'center',
      ),
      array(
        'label' => esc_html__("Right"),
        'value' => 'right',
      ),
    ),
  ),

  'skin' => array(
    'type' => 'select',
    'category' => 'layout-appearance',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Layout Skin', DZSWTL_ID),
    'extra_classes' => '',
    'choices' => array(
      array(
        'label' => esc_html__("No skin"),
        'value' => '',
      ),
      array(
        'label' => esc_html__("Bruma Skin"),
        'value' => 'skin-bruma', // for list zoomsounds
      ),
      array(
        'label' => esc_html__("Gamma Skin", DZSWTL_ID),
        'value' => 'skin-gamma', // -- for grid zoomsounds
      ),
    ),
  ),

  'theme' => array(
    'type' => 'select',
    'category' => 'layout-appearance',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Color Theme', DZSWTL_ID),
    'extra_classes' => '',
    'choices' => array(
      array(
        'label' => esc_html__("Default"),
        'value' => '',
      ),
      array(
        'label' => esc_html__("Theme Dark"),
        'value' => 'theme-dark',
      ),
      array(
        'label' => esc_html__("Theme Light"),
        'value' => 'theme-light', // for list zoomsounds
      ),

    ),
  ),


  'responsive_breakpoint_phone' => array(
    'type' => 'text',
    'title' => esc_html__('Phone responsive breakpoint', DZSWTL_ID),
    'category' => 'layout-layout',
    'default' => '',
    'settingConExtraClasses' => ' check-label check-parent3 ',
    'formsExtraClasses' => ' ',
    'sidenote' => esc_html__('the layout will become adapted to phone at this breakpoint', DZSWTL_ID) . ' / '.esc_html__('the default is 550', DZSWTL_ID),
    'select_type' => ' ',
  ),


  'autohidden_has_expandable_button' => array(
    'type' => 'select',
    'title' => esc_html__('Autohidden layers show method', DZSWTL_ID),
    'category' => 'layout-layout',
    'default' => 'off',
    'dependency' => array(
      array(
        'element' => 'layout_mode',
        'value' => array('list'),
      ),
    ),
    'settingConExtraClasses' => ' check-label check-parent3 ',
    'formsExtraClasses' => ' ',
    'choices' => array(
      array(
        'label' => esc_html__("Use hover ( default )", DZSWTL_ID),
        'value' => 'off',
      ),
      array(
        'label' => esc_html__("Use expanded button", DZSWTL_ID),
        'value' => 'on',
      ),
    ),
    'select_type' => ' ',
  ),
);