<?php
/**
 * used in class_parts/admin-page-mainoptions.php
 */
global $dzswtl_rpwcm_pages;





$configMainOptions = array(
  'enable_legacy_gutenberg_block' => array(
    'category' => 'developer_options',
    'type' => 'checkbox',
    'default' => 'off',
    'select_type' => 'opener-listbuttons ',
    'title' => esc_html__('Enable legacy', 'dzsvg') . ' <strong>Gutenberg</strong> ' . esc_html__('blocks', 'dzsvg'),
    'extra_classes' => '',
    'sidenote' => __("select the type of media"),
    'choices' => array(
      array(
        'label' => esc_html__("Disable", 'dzsvg'),
        'value' => 'off',
      ),
      array(
        'label' => esc_html__("Enable", 'dzsvg'),
        'value' => 'on',
      ),
    ),
  ),
  'zoomsounds_play_in_footer' => array(
    'category' => 'main-dzsap',
    'type' => 'checkbox',
    'default' => 'off',
    'select_type' => 'opener-listbuttons ',
    'title' => esc_html__('Play zoomsounds player in footer player ? ', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('make sure footer sticky player is enabled on that page', DZSWTL_ID),
    'choices' => array(
      array(
        'label' => esc_html__("Disable", 'dzsvg'),
        'value' => 'off',
      ),
      array(
        'label' => esc_html__("Enable", 'dzsvg'),
        'value' => 'on',
      ),
    ),
  ),
  'style_widget' => array(
    'category' => 'main',
    'type' => 'checkbox',
    'default' => 'off',
    'select_type' => 'opener-listbuttons ',
    'title' => esc_html__('Style widget in sidebar', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('make sure footer sticky player is enabled on that page', DZSWTL_ID),
    'choices' => array(
      array(
        'label' => esc_html__("Disable", 'dzsvg'),
        'value' => 'off',
      ),
      array(
        'label' => esc_html__("Enable", 'dzsvg'),
        'value' => 'on',
      ),
    ),
  ),
  'filter_calculate_all_products_count' => array(
    'category' => 'filters',
    'type' => 'checkbox',
    'default' => 'off',
    'select_type' => 'opener-listbuttons ',
    'title' => esc_html__('Calculate count of all products', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('calculate the number of products on each filter count', DZSWTL_ID),
  ),
  'filter_exclude_non_catalog_items' => array(
    'category' => 'filters',
    'type' => 'checkbox',
    'default' => 'off',
    'select_type' => 'opener-listbuttons ',
    'title' => esc_html__('Exclude products not in catalog', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('exclude non catalog items', DZSWTL_ID),
  ),
  'filter_check_availability' => array(
    'category' => 'filters',
    'type' => 'checkbox',
    'default' => 'off',
    'select_type' => 'opener-listbuttons ',
    'title' => esc_html__('Check filter availability on each page', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('on each page refresh check the filter availability', DZSWTL_ID),
  ),
  'filter_check_availability_recalculate_count' => array(
    'category' => 'filters',
    'type' => 'checkbox',
    'default' => 'off',
    'select_type' => 'opener-listbuttons ',
    'title' => esc_html__('Check filter availability on each page - recalculate count', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('on each page refresh check the filter availability - recalculate count', DZSWTL_ID),
    'choices' => array(
      array(
        'label' => esc_html__("Disable", 'dzsvg'),
        'value' => 'off',
      ),
      array(
        'label' => esc_html__("Enable", 'dzsvg'),
        'value' => 'on',
      ),
    ),
  ),
  'filter_check_availability_recalculate_count_from_all_pages' => array(
    'category' => 'filters',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__('Check filter availability on each page - recalculate count - count all shop pages', DZSWTL_ID),
    'sidenote' => esc_html__('there may be multiple shop pages into a wordpress pages - enable this page to overlook pagination', DZSWTL_ID),
  ),
  'filter_check_availability_recalculate_count__hide_empty' => array(
    'category' => 'filters',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__('Hide empty filters', DZSWTL_ID),
    'sidenote' => esc_html__('hide empty filters if calculate count is enabled', DZSWTL_ID),
  ),
  'filter_check_if_visible' => array(
    'category' => 'filters',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__('Check filter visibility', DZSWTL_ID),
    'sidenote' => esc_html__('some plugins might duplicate the filters into a hidden view.', DZSWTL_ID),
  ),
  'downloads_allow_with_price_zero' => array(
    'category' => 'main',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__('Allow products with price free to be downloaded', DZSWTL_ID),
    'sidenote' => esc_html__('products which have price 0, are free to download', DZSWTL_ID),
  ),
  'downloads_allow_with_only_login' => array(
    'category' => 'main',
    'type' => 'checkbox',
    'default' => 'off',
    'formsExtraClasses' => ' dzs-dependency-field',
    'title' => esc_html__('Allow downloads only when user is logged in', DZSWTL_ID),
    'sidenote' => esc_html__('non logged in users can be disabled', DZSWTL_ID),
  ),
  'allow_download_only_for_registered_users_capability' => array(
    'category' => 'main',
    'type' => '{{download_capability}}',
    'default' => 'read',
    'dependency' => array(
      array(
        'element' => 'downloads_allow_with_only_login',
        'value' => array('on'),
      ),
    ),
    'title' => esc_html__('Required user role for download', DZSWTL_ID),
    'sidenote' => esc_html__('select a class to restrict downloads to', DZSWTL_ID),
  ),


  'add_to_cart_links_to_login_for_unregistered' => array(
    'category' => 'redirect_pages',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__("Add to cart links to LOGIN page for unregistered users"),
  ),


  'downloads_restrict_redirect_url' => array(
    'category' => 'redirect_pages',
    'type' => 'text',
    'default' => '',
    'formsExtraClasses' => '  ',
    'title' => esc_html__('Restricted download - Redirect page', DZSWTL_ID),
    'sidenote' => esc_html__('Redirect your non qualified users to purchase a membership page or whatever page.', DZSWTL_ID),
  ),
  'redirect__login_page' => array(
    'category' => 'redirect_pages',
    'type' => 'text',
    'default' => '',
    'formsExtraClasses' => '  ',
    'title' => esc_html__('Login Page - Redirect Override', DZSWTL_ID),
    'sidenote' => esc_html__('override the login page url for add to cart / wishlist..', DZSWTL_ID),
  ),



//  'report_page' => array(
//    'category' => 'redirect_pages',
//    'type' => 'text',
//    'default' => '',
//    'formsExtraClasses' => '  ',
//    'title' => esc_html__('Report page', DZSWTL_ID),
//    'sidenote' => esc_html__('override the login page url for add to cart / wishlist..', DZSWTL_ID),
//  ),






  'jquery_ui_theme' => array(
    'category' => 'main',
    'type' => 'select',
    'default' => 'base',
    'select_type' => ' ',
    'title' => 'jQuery-UI ' . __('theme', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('there may be multiple shop pages into a wordpress pages - enable this page to overlook pagination', DZSWTL_ID),
    'choices' => array(
      array(
        'label' => esc_html__("Base", DZSWTL_ID),
        'value' => 'base',
      ),
      array(
        'label' => esc_html__("Lightness", DZSWTL_ID),
        'value' => 'ui-lightness',
      ),
    ),
  ),


  'convert_search_field_from_theme' => array(
    'category' => 'main',
    'type' => 'text',
    'default' => '',
    'select_type' => 'opener-listbuttons ',
    'title' => esc_html__('Convert search field from theme', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('convert a theme search field to wootable search field.', DZSWTL_ID) . ' <em>( jQuery selector )</em>',
  ),
  'add_taxonomy_meta_taxs' => array(
    'category' => 'main',
    'type' => 'text',
    'default' => '',
    'select_type' => 'opener-listbuttons ',
    'title' => esc_html__('Add taxonomy meta to ', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('add icon / color / image meta to these taxonomies ; example -', DZSWTL_ID) . '<em>pa_genre,pa_color</em>',
  ),

  'replace_woocommerce_category_page_shortcode' => array(
    'category' => 'main',
    'type' => 'textarea',
    'default' => '',
    'select_type' => 'opener-listbuttons ',
    'title' => esc_html__('Replace woocommerce category page', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('Replace woocommerce category page with this shortcode', DZSWTL_ID) . '<em>( jQuery selector )</em>',
  ),







  'add_to_cart_modal' => array(
    'category' => 'add_to_cart',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__('Modal on ADD TO CART', DZSWTL_ID),
    'sidenote' => esc_html__('A modal appears when adding to cart.', DZSWTL_ID),
  ),

  'address_query_remove_add_to_cart_in_shop_page' => array(
    'category' => 'add_to_cart',
    'type' => 'checkbox',
    'default' => 'on',
    'title' => esc_html__('Remove add to cart from link', DZSWTL_ID),
    'sidenote' => esc_html__('Remove the add to cart in the address field, after the page has been reloaded.', DZSWTL_ID),
  ),

  'purchasable_products_link_directly_to_checkout' => array(
    'category' => 'add_to_cart',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__('Link directly to checkout', DZSWTL_ID),
    'sidenote' => esc_html__('If product is purchasable, then it will lead directly to checkout ( checkout single product )', DZSWTL_ID),
  ),
  'add_to_cart__check_if_download_is_already_made' => array(
    'category' => 'add_to_cart',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__('Highlight if download was already made', DZSWTL_ID),
    'sidenote' => esc_html__('only works for downloadable items . has the item been downloaded would hightlight this', DZSWTL_ID),
  ),




  'translation__add_to_cart' => array(
    'category' => 'translations',
    'type' => 'text',
    'default' => '',
    'select_type' => '',
    'title' => esc_html__('Translate ADD TO CART', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('you can input a custom text for Add To Cart', DZSWTL_ID) . '',
  ),



  'short_description_striptags' => array(
    'category' => 'short-description',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__('Strip tags', DZSWTL_ID),
    'sidenote' => esc_html__('strip html tags - removes html tags from content', DZSWTL_ID),
  ),
  'short_description_stripshortcodes' => array(
    'category' => 'short-description',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__('Strip shortcodes', DZSWTL_ID),
    'sidenote' => esc_html__('Strip shortcodes - removes shortcodes from content', DZSWTL_ID),
  ),
  'short_description_try_to_close_unclosed_tags' => array(
    'category' => 'short-description',
    'type' => 'checkbox',
    'default' => 'off',
    'title' => esc_html__('(beta) Try to close unclosed html tags', DZSWTL_ID),
    'sidenote' => esc_html__('Try to close unclosed html tags - experimental', DZSWTL_ID),
  ),
  'short_description_readmore' => array(
    'category' => 'short-description',
    'type' => 'text',
    'default' => 'auto',
    'title' => esc_html__('Read more method', DZSWTL_ID),
    'sidenote' => esc_html__('append to the content - possible values: ', DZSWTL_ID).'<strong>auto</strong> / <strong>on</strong> / <strong>off</strong>',
  ),
  'short_description_readmore_markup' => array(
    'category' => 'short-description',
    'type' => 'text',
    'default' => 'auto',
    'title' => esc_html__('Read more markup', DZSWTL_ID),
    'sidenote' => esc_html__('leave auto for automatic READ MORE text or input read more html content - you can input something like -> ', DZSWTL_ID).'<strong>'.htmlentities('<a href="'.DZSWTL_VIEW_PLACEHOLDER_LINK_TO_POST_PERMALINK.'">...</a>').'</strong>',
  ),
);


$rpwcm_membership_str = '';
if(class_exists('WooCommerce_Membership_Plan')){
  $rpwcm_membership_str = (WooCommerce_Membership_Plan::get_members_list('silver'));


  $configMainOptions['rpwcm_download_with_it'] = array(
    'title' => esc_html__("Download from WooCommerce Memberships"),
    'category' => 'main',
    'sidenote' => esc_html__("If you have WooCommerce Memberships plugin, you can use it to substract downloads from it"),
    'type' => 'checkbox',
    'default' => 'off',
  );



  /**
   * rpwcm plugin start
   */

  $configMainOptions['rpwcm_membership_page'] = array(
    'category' => 'plugin-RPWCM',
    'type' => 'select',
    'default' => 'base',
    'select_type' => ' ',
    'title' => __('Membership page', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('download limit for silver package - name your membership:', DZSWTL_ID). ' <strong>silver-membership</strong>'.$rpwcm_membership_str,
    'choices' => $dzswtl_rpwcm_pages,
  );


  $configMainOptions['rpwcm_silver_downloads'] =
array(
    'category' => 'plugin-RPWCM',
    'type' => 'text',
    'default' => '',
    'title' => esc_html__('Silver membership download limit', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('download limit for silver package - name your membership:', DZSWTL_ID) . '<strong>silver-membership</strong>',
  );
  $configMainOptions['rpwcm_gold_downloads'] =
 array(
    'category' => 'plugin-RPWCM',
    'type' => 'text',
    'default' => '',
    'title' => esc_html__('Gold membership download limit', DZSWTL_ID),
    'extra_classes' => '',
    'sidenote' => esc_html__('download limit for silver package - name your membership:', DZSWTL_ID) . '<strong>gold-membership</strong>',
  );

  /**
   * rpwcm plugin end
   */
}





return $configMainOptions;