<?php

const DZSWTL_GUTENBERG_BLOCK_NAME = 'dzswtl-gutenberg-block';
const DZSWTL_GUTENBERG_BLOCK_FILTERS_NAME = 'dzswtl-filters-gutenberg-block';
const DZSWTL_POST_TYPE = 'dzswtl_list_layout';
const DZSWTL_POST_STATUS_PREVIEW = 'dzs_preview';
const DZSWTL_ID = 'dzswtl';
const DZSWTL_COOKIE_WISHLIST_NAME = 'dzswtl_wishlist';
const DZSWTL_COOKIE_DURATION = 30 * 3600 * 24;
const DZSWTL_KEY_IS_FILTERS_FROM_GET_ALREADY_CONSUMED = 'DZSWTL_FEEDED_FROM_GET';
const DZSWTL_AJAX_KEY_GENERAL_AJAX_ENDPOINT = 'dzswtl_ajax';
const DZSWTL_AJAX_KEY_LOAD_NEW_CONTENT = 'dzswtl_query_load_new_content';
const DZSWTL_AJAX_KEY_LOAD_FILTER_COUNT = 'dzswtl_query_calculate_filter_count';
const DZSWTL_AJAX_CALCULATE_FILTER_COUNT = 'product_ids_that_fit_query';
const DZSWTL_QUERY_MINIMUM_ABBREVIATION = 'dzswoomin';
const DZSWTL_QUERY_MAXIMUM_ABBREVIATION = 'dzswoomax';
const DZSWTL_QUERY_KEY_DOWNLOAD_TRACK = 'dzswtl_download';
const DZSWTL_BUILDER_COL_TYPE_ZOOMSOUNDS_PLAYER = 'zoomsounds-player';
const DZSWTL_PERMISSION_ULTIMATE = 'manage_options';
const DZSWTL_QUERY_WITHIN_ABBREVIATION = 'wtn-wtn';
/** identify product attribute */
const DZSWTL_QUERY_PRODUCT_ATTRIBUTE_ABBREVIATION = 'pa_';
/** used for selecting a meta value from the database ( postmeta ) */
const DZSWTL_QUERY_META_VALUE_ABBREVIATION = 'meta_value_';
/** used for storing in postmeta database - used for sorting and ranges */
const DZSWTL_DB_TAX_TO_META_ABBREVIATION = 'metapa_';
const DZSWTL_QUERY_META_VALUE_PA_ABBREVIATION = 'meta_value_pa';
const DZSWTL_QUERY_CUSTOM_TAX_ABBREVIATION = 'customtax_';
const DZSWTL_VIEW_AJAX_MAIN_SHORTCODE_CONTAINER = 'dzswtl-main-ajax-target';
const DZSWTL_VIEW_PLACEHOLDER_LINK_TO_POST_PERMALINK = '{{permalinktopo}}';
const DZSWTL_WOOCOMMERCE_PRODUCT = 'product';
const DZSWTL_WOOCOMMERCE_PRODUCTS_CATEGORY = 'product_cat';
const DZSWTL_WOOCOMMERCE_PRODUCTS_TAG = 'product_tag';
if (!defined('DZSWTL_FILTER_NAME__IS_CAN_DOWNLOAD')) {
  define('DZSWTL_FILTER_NAME__IS_CAN_DOWNLOAD', 'dzswtl_isCanDownloadFilter');
}
if (!defined('DZSPSY_DB_USER_META_DOWNLOADED_TRACKS')) {
  define('DZSPSY_DB_USER_META_DOWNLOADED_TRACKS', 'dzspsy_downloaded_tracks');
}

const DZSWTL_POST_META_WISHLIST_NAME = 'dzswtl_wishlist';

const DZSWTL_QUERY_PARAMS_HARDCODED_KEYS_POSSIBILITIES = array('cat', 'exclude_ids');

const DZSWTL_ADMIN_PAGENAME_MAINOPTIONS = 'dzswtl_menu';

const DZSWTL_FEED_FROM = array(

  'RATINGS' => 'ratings',
);
const DZSWTL_FILTERS_TYPES = array(
  'SELECT' => 'select',
  'INPUT' => 'input',
  'SINGLE_WITH_IMAGE' => 'single-with-image',
  'MULTIPLE' => 'multiple',
  'SLIDER' => 'slider',
);
const DZSWTL_FILTERS_TYPE_MULTIPLE_STYLES = array(
  'checkbox-search' => 'checkbox-search',
  'small-checkbox' => 'small-checkbox',
  'pill' => 'pill',
  'small-image-with-title' => 'small-image-with-title',
);

const DZSWTL_GET_INTERNAL_WP = array(
  'context',
  'post_id',
  'attributes',
  '_locale',
);

const DZSWTL_SHOP_FEED_TYPE = array(
  'WISHLIST'=>'wishlist',
  'DOWNLOADED'=>'downloaded',
  'FEATURED'=>'featured',
);

const DZSWTL_TABLE_BUTTON_TYPE = array(
  'ADD_TO_CART' => 'add-to-cart',
  'MORE_BUTTON' => 'more-btn',
  'NONE' => 'none',
  'CUSTOM' => 'custom',
);
const DZSWTL_TABLE_BUTTON_FUNCTIONALITY = array(
  'LINK' => 'link',
  'DIRECT_LINK' => 'direct_link',
);

const DZSWTL_VIEW_ALLOWED_HTML_TAGS = array(

  'a' => array(
    'href' => true,
    'title' => true,
    'target' => true,
  ),
  'abbr' => array(
    'title' => true,
  ),
  'acronym' => array(
    'title' => true,
  ),
  'b' => array(),
  'blockquote' => array(
    'cite' => true,
  ),
  'cite' => array(),
  'code' => array(),
  'del' => array(
    'datetime' => true,
  ),
  'em' => array(),
  'i' => array(),
  'q' => array(
    'cite' => true,
  ),
  'strike' => array(),
  'strong' => array(),
);