<?php
if(!function_exists('dzs_admin_termMetas_save_custom_meta')){
  function dzs_admin_termMetas_save_custom_meta($term_id) {
    if (isset($_POST['term_meta'])) {
      $t_id = $term_id;
      $term_meta = get_option("taxonomy_$t_id");
      $cat_keys = array_keys($_POST['term_meta']);
      foreach ($cat_keys as $key) {
        if (isset ($_POST['term_meta'][$key])) {
          $term_meta[$key] = $_POST['term_meta'][$key];
        }
      }
      // -- Save the option array.
      update_option("taxonomy_$t_id", $term_meta);

    }
  }
}
if(!function_exists('dzs_admin_termMetas_generateOptions')){
  /**
   *
   * this will add the custom meta field to the add new term page
   * applied in wp action term_meta_fields
   * @param array $termMetaExtraOptions
   * @param WP_Term $term
   * @param string $baseUrl
   */
  function dzs_admin_termMetas_generateOptions($termMetaExtraOptions, $term, $baseUrl=''){
    $struct_uploader = '<div class="dzs-wordpress-uploader insert-id">
<a href="#" class="button-secondary">' . esc_html__('Upload', 'dzs') . '</a>
</div>';
    foreach ($termMetaExtraOptions as $termMeta) {
      ?>

      <?php


      $t_id = $term->term_id;

      // retrieve the existing value(s) for this meta field. This returns an array
      $term_meta = get_option("taxonomy_$t_id"); ?>
      <tr class="form-field">
        <th scope="row" valign="top"><label
            for="term_meta[<?php echo $termMeta['name']; ?>]"><?php echo $termMeta['title']; ?></label></th>
        <td class="<?php
        if ($termMeta['type'] == 'media-upload') {
          echo 'setting-upload';
        }
        ?>">


          <?php

          if ($termMeta['type'] == 'media-upload') {
            echo '<span class="uploader-preview"></span>';
          }
          ?>



          <?php
          $lab = 'term_meta[' . $termMeta['name'] . ']';

          $val = '';

          if (isset($term_meta[$termMeta['name']])) {

            $val = esc_attr($term_meta[$termMeta['name']]) ? esc_attr($term_meta[$termMeta['name']]) : '';
          }

          $class = 'setting-field medium';


          if ($termMeta['type'] == 'media-upload') {
            $class .= ' uploader-target';

            wp_enqueue_media();
          }

          if ($termMeta['type'] == 'color') {
            $class .= ' color-with-spectrum';
          }
          if ($termMeta['type'] == 'media-upload' || $termMeta['type'] == 'text' || $termMeta['type'] == 'input') {
          }

          if ($termMeta['type'] == 'iconselector') {
          DZSWTLHelpers::enqueue_script('spectrum');
          wp_enqueue_script('faiconselector', DZSWTL_URL . 'libs/dzsiconselector/dzsiconselector.js');
          wp_enqueue_style('faiconselector', DZSWTL_URL . 'libs/dzsiconselector/dzsiconselector.css');

          $class .= ' style-iconselector iconselector-waiter';
          ?>
          <div class="iconselector" data-input-acts-as-search="on">
            <p>

              <span class="iconselector-preview"></span>
              <?php
              }

              echo DZSHelpers::generate_input_text($lab, array(
                'class' => $class,
                'seekval' => $val,
                'id' => $lab,
              ));
              if ($termMeta['type'] == 'iconselector') {
              ?>
              <span class="iconselector-btn"><i class="fa fa-caret-down"></i>
            </p>

            </span>
            <div class="iconselector-clip"><?php

              ?></div>
          </div><?php
        }


        if ($termMeta['type'] == 'color') {
//                DZSHelpers::generate_input_text($lab, array('val' => '', 'class' => 'wp-color-picker-init ', 'seekval' => $val));
        }

        if ($termMeta['type'] == 'media-upload') {
          echo $struct_uploader;
        }
        ?>
          <?php

          ?>
          <p class="description"><?php _e('Enter a value for this field', 'pippin'); ?></p>
        </td>
      </tr>
      <?php
    }

  }
}