<?php


class DzswtlRpwcmPluginSupport {

  function __construct($dzswtl) {

    $this->dzswtl = $dzswtl;
  }

  public function rpwcm_get_package() {
    // -- check if user has package


    $package_slug = 'free-membership';
    $package = esc_html__("Free", DZSWTL_ID);


    $current_user = wp_get_current_user();

//    print_rr($current_user);

    $arr = array(
      'silver',
      'gold',
    );

    foreach ($arr as $lab4 => $val) {

      $the_slug = $val;


      if (class_exists('WooCommerce_Membership_Plan')) {
        $arr = (WooCommerce_Membership_Plan::get_members_list($val));

//      print_rr($current_user);
        foreach ($arr as $lab => $val4) {
          if ($val4->ID == $current_user->data->ID) {

            $package_slug = $val;
//          $package = $my_posts[0]->post_title;

//            echo '$package_slug-  '.$package_slug;
            $arr2 = (WooCommerce_Membership_Plan::get_by_key($package_slug));
            $package = $arr2->name;

          }
        }
      }
    }

    return array(
      'package' => $package,
      'package_slug' => $package_slug,
    );

  }




  function rpwcm_request_user_download($song_id = '') {


    $current_user = wp_get_current_user();

//    print_rr($current_user);
//    $downloads = update_user_meta($current_user->data->ID,'rpwcm'.'_downloads',array());
    $downloads = get_user_meta($current_user->data->ID, 'rpwcm' . '_downloads', true);

//    echo '<div>$downloads - "'.$downloads.'"</div>';
//    echo '<div>$package - "'.$package_slug.'"</div>';


    error_log('song id - ' . $song_id);


//    $nr_downloads = $this->rpwcm_get_nr_downloads();
    $nr_downloads_remaining = $this->rpwcm_get_nr_downloads_remaining();


    error_log('nr_downloads ( from request user_download ) song_id -  ' . $song_id);
    error_log('$downloads - ' . print_r($downloads, true));
//    error_log('$downloads - '.print_rr($song_id,true));


    $response_arr = array(
      'type' => 'success',
      'message' => esc_html__('All ok'),
      'nr_downloads_remaining' => $nr_downloads_remaining,
    );


    if ($nr_downloads_remaining == 0) {
      $response_arr['type'] = 'error';
      $response_arr['message'] = esc_html__('No remaining downloads');
      return $response_arr;
    }


    if ($song_id) {

      if ($downloads && is_array($downloads) && in_array($song_id, $downloads)) {


        if ($nr_downloads_remaining == 0) {
          $response_arr['message'] = esc_html__('All ok. was already there.');
          return $response_arr;
        }


      } else {

        if (is_array($downloads)) {
          foreach ($downloads as $lab => $val) {
            if (is_array($downloads[$lab])) {
              unset($downloads[$lab]);
            }
          }
          array_push($downloads, $song_id);
        } else {

          $downloads = array($song_id);
        }

        update_user_meta($current_user->data->ID, 'rpwcm' . '_downloads', $downloads);
      }
    }


    return $response_arr;

  }


  function rpwcm_get_nr_downloads($package_slug = '') {
    // -- @return number


    $current_user = wp_get_current_user();


//    print_rr($current_user);
    $downloads = get_user_meta($current_user->data->ID, 'rpwcm' . '_downloads', true);


    if (is_array($downloads) && count($downloads)) {
      return count($downloads);
    } else {
      return 0;
    }
//    return $nr_downloads;

  }

  function rpwcm_get_nr_downloads_remaining($package_slug = '') {


    $nr_downloads_package = $this->rpwcm_get_nr_downloads_package();
    $nr_downloads = $this->rpwcm_get_nr_downloads();


//    error_log('$nr_downloads_package - '.$nr_downloads_package);
//    error_log('$nr_downloads - '.$nr_downloads);


    return intval($nr_downloads_package) - intval($nr_downloads);




  }

  function checkIfUserCanDownloadAndDenyIfNot($po){

    $package_slug = $this->rpwcm_get_package()['package_slug'];

    $the_slug = $package_slug;

    $args = array(
      'name' => $the_slug,
      'post_type' => 'product',
      'post_status' => 'publish',
      'numberposts' => 1
    );
    $my_posts = get_posts($args);
    if ($my_posts && $my_posts[0] && $my_posts[0]->ID) {


    }



    if (defined('RPWCM_PLUGIN_PATH') && $this->rpwcm_request_user_download($po->ID)) {

      $response = $this->rpwcm_request_user_download($po->ID);
      if ($response['type'] == 'error') {
        die($response['message']);
      }
    }
  }

  function rpwcm_get_nr_downloads_package($package_slug = '') {


    $current_user = wp_get_current_user();

    if ($package_slug == '') {

      $package_slug = $this->rpwcm_get_package()['package_slug'];
    }


//    print_rr($current_user);
    $nr_downloads = get_user_meta($current_user->data->ID, $package_slug . '_nr_downloads_remaining', true);

//    echo '<div>$nr_downloads - "'.$nr_downloads.'"</div>';
//    echo '<div>$package - "'.$package_slug.'"</div>';


    if ($nr_downloads) {


    } else {


      $nr_downloads = 0;
      if ($package_slug == 'silver') {
        $nr_downloads = 20;
      }
      if ($package_slug == 'gold') {
        $nr_downloads = 100;
      }
      $nr_downloads = update_user_meta($current_user->data->ID, $package_slug . '_nr_downloads_remaining', $nr_downloads);
    }


    return $nr_downloads;

  }
}