<?php


function dzswtl_query_getDownloadedIds() {

  $ids = '';
  $currentUserId = get_current_user_id();

  if ($currentUserId) {


    $downloadedTracks = array();
    $downloadedTracksString = get_user_meta($currentUserId, DZSPSY_DB_USER_META_DOWNLOADED_TRACKS, true);
    if ($downloadedTracksString) {
      $downloadedTracks = json_decode($downloadedTracksString);
    }
    foreach ($downloadedTracks as $trackId){
      if($ids){
        $ids.=',';
      }
      $ids.=$trackId;
    }
  }

  return $ids;
}

function dzswtl_woo_wishlistSanitize() {
  $arr_wishlist = DZSWTLHelpers::get_wishlist();
  $ids = '';
  if (is_array($arr_wishlist) && count($arr_wishlist)) {
    foreach ($arr_wishlist as $pl) {
      if ($pl) {
        if ($ids) {
          $ids .= ',';
        }
        $ids .= $pl;
      }
    }
  }

  return $ids;
}



function dzswtl_woo_get_featured_products_addTaxQuery(&$tax_query) {

  $tax_query[] = array(
    'taxonomy' => 'product_visibility',
    'field' => 'name',
    'terms' => 'featured',
    'operator' => 'IN',
  );
}

/**
 * manipulates shopatts
 * @param $shopAtts
 */
function dzswtl_woo_get_featured_products($shopAtts) {


  $ids = '';
  // -- search for featured posts
  if (function_exists('WC')) {

    $meta_query = WC()->query->get_meta_query();
    $tax_query = WC()->query->get_tax_query();
    dzswtl_woo_get_featured_products_addTaxQuery($tax_query);

    $args = array(
      'post_type' => 'product',
      'post_status' => 'publish',

      'posts_per_page' => '-1',
      'orderby' => $shopAtts['orderby'],
      'order' => $shopAtts['order'],
      'meta_query' => $meta_query,
      'tax_query' => $tax_query,
    );
    $loop = new WP_Query($args);

    foreach ($loop->posts as $po) {

      if ($ids) {
        $ids .= ',';
      }

      $ids .= $po->ID;
    }
  }

  return $ids;
}