<?php

function dzswtl_view_shortcode_generatePagination($pagination_method, $visualAtts, $shopAtts, $getFiltersQuerySource){

  $paginationString = '';

  $pagination_include_dots = false;

  if ($shopAtts['pagination_include_dots'] == 'on') {
    $pagination_include_dots = true;
  }


  if ($pagination_method == '' || $pagination_method == 'pages') {


    $args_pagination = array(

      'container_class' => 'dzs-pagination woo-table-pagination',
      'include_raquo' => false,
      'include_prev_next' => false,
      'include_dots' => $pagination_include_dots,
      'extraattr' => ' data-max_num_pages="' . $visualAtts['max_num_pages'] . '"',
      'style' => 'div',
      'paged' => $shopAtts['paged'],
      'link_style' => 'table_paged',
      'make_main_div_regardles_of_nr_pages' => 'on',
      'a_class' => 'pagination-number dzs-woo-ajax pagination-link',
    );

    if ($shopAtts['pagination_prev_next'] == 'on') {
      $args_pagination['include_prev_next'] = true;
    }




    if(isset($shopAtts['caller_current_url'])){
      $callerUriParts = explode('?', $shopAtts['caller_current_url']);
      $cleanCallerUri = $callerUriParts[0];

      $finalUriForPagination = $cleanCallerUri;
      foreach ($getFiltersQuerySource as $queryLab => $queryVal){
        if($queryVal){

          $finalUriForPagination = dzs_add_query_arg($finalUriForPagination, $queryLab, $queryVal);
        }
      }
      $args_pagination['current_url'] = $finalUriForPagination;
    }

    if($visualAtts['max_num_pages']!='0' && $visualAtts['max_num_pages']!='1'){

    $paginationString .= dzs_pagination($visualAtts['max_num_pages'], intval($shopAtts['pagination_range']), $args_pagination);
    }
  }

  return $paginationString;
}